/******************************************************************************/
/* DISCLAIMER                                                                 */
/* This software is supplied by Renesas Electronics Corporation and is only   */
/* intended for use with Renesas products. No other uses are authorized.This  */
/* software is owned by Renesas Electronics Corporation and is protected      */
/* under all applicable laws, including copyright laws.                       */
/* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES          */
/* REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING  */
/* BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR */
/* PURPOSE AND NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY           */
/* DISCLAIMED.                                                                */
/* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS     */
/* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE       */
/* LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL      */
/* DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS    */
/* AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.           */
/* Renesas reserves the right, without notice, to make changes to this        */
/* software and to discontinue the availability of this software.             */
/* By using this software, you agree to the additional terms and conditions   */
/* found by accessing the following link:                                     */
/* www.renesas.com/disclaimer                                                 */
/*                                                                            */
/* Device     : RL78/R7F101GLG                                                */
/* File Name  : iodefine.h                                                    */
/* Abstract   : Definition of Special Function Register (SFR)                 */
/* History    : V1.10  [Device File version]                                  */
/* Options    : -df=C:\Program Files (x86)\Renesas Electronics\CS+\CC\Device\ */
/*              RL78\Devicefile\DR7F101GLG.DVF -o=D:\RL78G23-64PFPB\I2C_for_C */
/*              S+\IICA1_F\iodefine.h -faa_inc=D:\RL78G23-64PFPB\I2C_for_CS+\ */
/*              IICA1_F\iodefine_faa.inc -f                                   */
/* Date       : 2024/03/25                                                    */
/* Version    : V1.19.00.01  [df2iodef.exe version]                           */
/* This is a typical example.                                                 */
/*                                                                            */
/******************************************************************************/
#ifndef __R7F101GLGIODEFINE_HEADER__
#define __R7F101GLGIODEFINE_HEADER__

typedef struct
{
    unsigned char no0:1;
    unsigned char no1:1;
    unsigned char no2:1;
    unsigned char no3:1;
    unsigned char no4:1;
    unsigned char no5:1;
    unsigned char no6:1;
    unsigned char no7:1;
} __bitf_T;

typedef struct
{
    unsigned char no0:1;
    unsigned char no1:1;
    unsigned char no2:1;
    unsigned char no3:1;
    unsigned char no4:1;
    unsigned char no5:1;
    unsigned char no6:1;
    unsigned char no7:1;
    unsigned char no8:1;
    unsigned char no9:1;
    unsigned char no10:1;
    unsigned char no11:1;
    unsigned char no12:1;
    unsigned char no13:1;
    unsigned char no14:1;
    unsigned char no15:1;
} __bitf_T2;



#define ADM2           (*(volatile __near unsigned char  *)0x10)
#define ADM2_bit       (*(volatile __near __bitf_T *)0x10)
#define ADTYP0         (((volatile __near __bitf_T *)0x10)->no0)
#define ADTYP1         (((volatile __near __bitf_T *)0x10)->no1)
#define AWC            (((volatile __near __bitf_T *)0x10)->no2)
#define ADRCK          (((volatile __near __bitf_T *)0x10)->no3)
#define ADUL           (*(volatile __near unsigned char  *)0x11)
#define ADLL           (*(volatile __near unsigned char  *)0x12)
#define ADTES          (*(volatile __near unsigned char  *)0x13)
#define ADM3           (*(volatile __near unsigned char  *)0x14)
#define ADM3_bit       (*(volatile __near __bitf_T *)0x14)
#define ADVMOD         (((volatile __near __bitf_T *)0x14)->no0)
#define ADTRSWT        (((volatile __near __bitf_T *)0x14)->no7)
#define ADS0           (*(volatile __near unsigned char  *)0x15)
#define ADS1           (*(volatile __near unsigned char  *)0x16)
#define ADS2           (*(volatile __near unsigned char  *)0x17)
#define ADS3           (*(volatile __near unsigned char  *)0x18)
#define ADSCTL         (*(volatile __near unsigned char  *)0x19)
#define ADSCTL_bit     (*(volatile __near __bitf_T *)0x19)
#define ADPRIOR0       (((volatile __near __bitf_T *)0x19)->no0)
#define ADPRIOR1       (((volatile __near __bitf_T *)0x19)->no1)
#define ADPRIOR2       (((volatile __near __bitf_T *)0x19)->no2)
#define ADPRIOR3       (((volatile __near __bitf_T *)0x19)->no3)
#define ADSEN0         (((volatile __near __bitf_T *)0x19)->no4)
#define ADSEN1         (((volatile __near __bitf_T *)0x19)->no5)
#define ADSEN2         (((volatile __near __bitf_T *)0x19)->no6)
#define ADSEN3         (((volatile __near __bitf_T *)0x19)->no7)
#define ADTR0          (*(volatile __near unsigned char  *)0x1A)
#define ADTR1          (*(volatile __near unsigned char  *)0x1B)
#define ADTR2          (*(volatile __near unsigned char  *)0x1C)
#define ADTR3          (*(volatile __near unsigned char  *)0x1D)
#define ADSPMOD        (*(volatile __near unsigned char  *)0x1F)
#define ADCR0          (*(volatile __near unsigned short *)0x20)
#define ADCR0H         (*(volatile __near unsigned char  *)0x21)
#define ADCR1          (*(volatile __near unsigned short *)0x22)
#define ADCR1H         (*(volatile __near unsigned char  *)0x23)
#define ADCR2          (*(volatile __near unsigned short *)0x24)
#define ADCR2H         (*(volatile __near unsigned char  *)0x25)
#define ADCR3          (*(volatile __near unsigned short *)0x26)
#define ADCR3H         (*(volatile __near unsigned char  *)0x27)
#define ADINTCTL       (*(volatile __near unsigned char  *)0x28)
#define ADINTCTL_bit   (*(volatile __near __bitf_T *)0x28)
#define ADINTCTL0F     (((volatile __near __bitf_T *)0x28)->no0)
#define ADINTCTL0S     (((volatile __near __bitf_T *)0x28)->no1)
#define ADINTCTL1F     (((volatile __near __bitf_T *)0x28)->no2)
#define ADINTCTL1S     (((volatile __near __bitf_T *)0x28)->no3)
#define ADINTCTL2F     (((volatile __near __bitf_T *)0x28)->no4)
#define ADINTCTL2S     (((volatile __near __bitf_T *)0x28)->no5)
#define ADINTCTL3F     (((volatile __near __bitf_T *)0x28)->no6)
#define ADINTCTL3S     (((volatile __near __bitf_T *)0x28)->no7)
#define ADINTST        (*(volatile __near unsigned char  *)0x29)
#define ADINTST_bit    (*(volatile __near __bitf_T *)0x29)
#define ADINTST0F      (((volatile __near __bitf_T *)0x29)->no0)
#define ADINTST0S      (((volatile __near __bitf_T *)0x29)->no1)
#define ADINTST1F      (((volatile __near __bitf_T *)0x29)->no2)
#define ADINTST1S      (((volatile __near __bitf_T *)0x29)->no3)
#define ADINTST2F      (((volatile __near __bitf_T *)0x29)->no4)
#define ADINTST2S      (((volatile __near __bitf_T *)0x29)->no5)
#define ADINTST3F      (((volatile __near __bitf_T *)0x29)->no6)
#define ADINTST3S      (((volatile __near __bitf_T *)0x29)->no7)
#define PU0            (*(volatile __near unsigned char  *)0x30)
#define PU0_bit        (*(volatile __near __bitf_T *)0x30)
#define PU1            (*(volatile __near unsigned char  *)0x31)
#define PU1_bit        (*(volatile __near __bitf_T *)0x31)
#define PU3            (*(volatile __near unsigned char  *)0x33)
#define PU3_bit        (*(volatile __near __bitf_T *)0x33)
#define PU4            (*(volatile __near unsigned char  *)0x34)
#define PU4_bit        (*(volatile __near __bitf_T *)0x34)
#define PU5            (*(volatile __near unsigned char  *)0x35)
#define PU5_bit        (*(volatile __near __bitf_T *)0x35)
#define PU6            (*(volatile __near unsigned char  *)0x36)
#define PU6_bit        (*(volatile __near __bitf_T *)0x36)
#define PU7            (*(volatile __near unsigned char  *)0x37)
#define PU7_bit        (*(volatile __near __bitf_T *)0x37)
#define PU12           (*(volatile __near unsigned char  *)0x3C)
#define PU12_bit       (*(volatile __near __bitf_T *)0x3C)
#define PU14           (*(volatile __near unsigned char  *)0x3E)
#define PU14_bit       (*(volatile __near __bitf_T *)0x3E)
#define PIM0           (*(volatile __near unsigned char  *)0x40)
#define PIM0_bit       (*(volatile __near __bitf_T *)0x40)
#define PIM1           (*(volatile __near unsigned char  *)0x41)
#define PIM1_bit       (*(volatile __near __bitf_T *)0x41)
#define PIM3           (*(volatile __near unsigned char  *)0x43)
#define PIM3_bit       (*(volatile __near __bitf_T *)0x43)
#define PIM5           (*(volatile __near unsigned char  *)0x45)
#define PIM5_bit       (*(volatile __near __bitf_T *)0x45)
#define PIM7           (*(volatile __near unsigned char  *)0x47)
#define PIM7_bit       (*(volatile __near __bitf_T *)0x47)
#define POM0           (*(volatile __near unsigned char  *)0x50)
#define POM0_bit       (*(volatile __near __bitf_T *)0x50)
#define POM1           (*(volatile __near unsigned char  *)0x51)
#define POM1_bit       (*(volatile __near __bitf_T *)0x51)
#define POM3           (*(volatile __near unsigned char  *)0x53)
#define POM3_bit       (*(volatile __near __bitf_T *)0x53)
#define POM5           (*(volatile __near unsigned char  *)0x55)
#define POM5_bit       (*(volatile __near __bitf_T *)0x55)
#define POM7           (*(volatile __near unsigned char  *)0x57)
#define POM7_bit       (*(volatile __near __bitf_T *)0x57)
#define PMCA0          (*(volatile __near unsigned char  *)0x60)
#define PMCA0_bit      (*(volatile __near __bitf_T *)0x60)
#define PMCA1          (*(volatile __near unsigned char  *)0x61)
#define PMCA1_bit      (*(volatile __near __bitf_T *)0x61)
#define PMCA2          (*(volatile __near unsigned char  *)0x62)
#define PMCA2_bit      (*(volatile __near __bitf_T *)0x62)
#define PMCA12         (*(volatile __near unsigned char  *)0x6C)
#define PMCA12_bit     (*(volatile __near __bitf_T *)0x6C)
#define PMCA14         (*(volatile __near unsigned char  *)0x6E)
#define PMCA14_bit     (*(volatile __near __bitf_T *)0x6E)
#define NFEN0          (*(volatile __near unsigned char  *)0x70)
#define NFEN0_bit      (*(volatile __near __bitf_T *)0x70)
#define NFEN1          (*(volatile __near unsigned char  *)0x71)
#define NFEN1_bit      (*(volatile __near __bitf_T *)0x71)
#define ISC            (*(volatile __near unsigned char  *)0x73)
#define ISC_bit        (*(volatile __near __bitf_T *)0x73)
#define TIOS0          (*(volatile __near unsigned char  *)0x74)
#define PIOR0          (*(volatile __near unsigned char  *)0x77)
#define IAWCTL         (*(volatile __near unsigned char  *)0x78)
#define ULBS           (*(volatile __near unsigned char  *)0x79)
#define ULBS_bit       (*(volatile __near __bitf_T *)0x79)
#define ULBS0          (((volatile __near __bitf_T *)0x79)->no0)
#define ULBS1          (((volatile __near __bitf_T *)0x79)->no1)
#define ULBS2          (((volatile __near __bitf_T *)0x79)->no2)
#define IICM           (*(volatile __near unsigned char  *)0x7A)
#define PMS            (*(volatile __near unsigned char  *)0x7B)
#define PMS_bit        (*(volatile __near __bitf_T *)0x7B)
#define PFBER          (*(volatile __near unsigned char  *)0x7C)
#define PFBER_bit      (*(volatile __near __bitf_T *)0x7C)
#define PFBE           (((volatile __near __bitf_T *)0x7C)->no0)
#define GDIDIS         (*(volatile __near unsigned char  *)0x7D)
#define GDIDIS_bit     (*(volatile __near __bitf_T *)0x7D)
#define DFLCTL         (*(volatile __near unsigned char  *)0x90)
#define DFLCTL_bit     (*(volatile __near __bitf_T *)0x90)
#define DFLEN          (((volatile __near __bitf_T *)0x90)->no0)
#define PCKC           (*(volatile __near unsigned char  *)0x98)
#define PCKC_bit       (*(volatile __near __bitf_T *)0x98)
#define PLLCK          (((volatile __near __bitf_T *)0x98)->no1)
#define HIOTRM         (*(volatile __near unsigned char  *)0xA0)
#define HOCODIV        (*(volatile __near unsigned char  *)0xA8)
#define FLMODE         (*(volatile __near unsigned char  *)0xAA)
#define FLMODE_bit     (*(volatile __near __bitf_T *)0xAA)
#define MODE0          (((volatile __near __bitf_T *)0xAA)->no6)
#define MODE1          (((volatile __near __bitf_T *)0xAA)->no7)
#define FLMWRP         (*(volatile __near unsigned char  *)0xAB)
#define FLMWRP_bit     (*(volatile __near __bitf_T *)0xAB)
#define FLMWEN         (((volatile __near __bitf_T *)0xAB)->no0)
#define FLSEC          (*(volatile __near unsigned short *)0xB0)
#define FLFSWS         (*(volatile __near unsigned short *)0xB2)
#define FLFSWE         (*(volatile __near unsigned short *)0xB4)
#define FSSET          (*(volatile __near unsigned char  *)0xB6)
#define FSSE           (*(volatile __near unsigned char  *)0xB7)
#define FSSE_bit       (*(volatile __near __bitf_T *)0xB7)
#define ESQST          (((volatile __near __bitf_T *)0xB7)->no7)
#define PFCMD          (*(volatile __near unsigned char  *)0xC0)
#define PFS            (*(volatile __near unsigned char  *)0xC1)
#define PFS_bit        (*(volatile __near __bitf_T *)0xC1)
#define PER0           (*(volatile __near unsigned char  *)0xF0)
#define PER0_bit       (*(volatile __near __bitf_T *)0xF0)
#define TAU0EN         (((volatile __near __bitf_T *)0xF0)->no0)
#define SAU0EN         (((volatile __near __bitf_T *)0xF0)->no2)
#define SAU1EN         (((volatile __near __bitf_T *)0xF0)->no3)
#define IICA0EN        (((volatile __near __bitf_T *)0xF0)->no4)
#define ADCEN          (((volatile __near __bitf_T *)0xF0)->no5)
#define RTCWEN         (((volatile __near __bitf_T *)0xF0)->no7)
#define PRR0           (*(volatile __near unsigned char  *)0xF1)
#define PRR0_bit       (*(volatile __near __bitf_T *)0xF1)
#define TAU0RES        (((volatile __near __bitf_T *)0xF1)->no0)
#define SAU0RES        (((volatile __near __bitf_T *)0xF1)->no2)
#define SAU1RES        (((volatile __near __bitf_T *)0xF1)->no3)
#define IICA0RES       (((volatile __near __bitf_T *)0xF1)->no4)
#define ADCRES         (((volatile __near __bitf_T *)0xF1)->no5)
#define MOCODIV        (*(volatile __near unsigned char  *)0xF2)
#define OSMC           (*(volatile __near unsigned char  *)0xF3)
#define OSMC_bit       (*(volatile __near __bitf_T *)0xF3)
#define HIPREC         (((volatile __near __bitf_T *)0xF3)->no0)
#define WUTMMCK0       (((volatile __near __bitf_T *)0xF3)->no4)
#define RTCLPC         (((volatile __near __bitf_T *)0xF3)->no7)
#define RPECTL         (*(volatile __near unsigned char  *)0xF5)
#define RPECTL_bit     (*(volatile __near __bitf_T *)0xF5)
#define RPEF           (((volatile __near __bitf_T *)0xF5)->no0)
#define RPERDIS        (((volatile __near __bitf_T *)0xF5)->no7)
#define PORSR          (*(volatile __near unsigned char  *)0xF9)
#define PORSR_bit      (*(volatile __near __bitf_T *)0xF9)
#define PORF           (((volatile __near __bitf_T *)0xF9)->no0)
#define PER1           (*(volatile __near unsigned char  *)0xFA)
#define PER1_bit       (*(volatile __near __bitf_T *)0xFA)
#define DALIEN         (((volatile __near __bitf_T *)0xFA)->no0)
#define DTCEN          (((volatile __near __bitf_T *)0xFA)->no3)
#define TML32EN        (((volatile __near __bitf_T *)0xFA)->no4)
#define PGACMPEN       (((volatile __near __bitf_T *)0xFA)->no5)
#define DACEN          (((volatile __near __bitf_T *)0xFA)->no7)
#define PRR1           (*(volatile __near unsigned char  *)0xFB)
#define PRR1_bit       (*(volatile __near __bitf_T *)0xFB)
#define DALIRES        (((volatile __near __bitf_T *)0xFB)->no0)
#define TML32RES       (((volatile __near __bitf_T *)0xFB)->no4)
#define PGACMPRES      (((volatile __near __bitf_T *)0xFB)->no5)
#define DACRES         (((volatile __near __bitf_T *)0xFB)->no7)
#define PER2           (*(volatile __near unsigned char  *)0xFC)
#define PER2_bit       (*(volatile __near __bitf_T *)0xFC)
#define TRJ0EN         (((volatile __near __bitf_T *)0xFC)->no0)
#define TRXEN          (((volatile __near __bitf_T *)0xFC)->no1)
#define PWMOPEN        (((volatile __near __bitf_T *)0xFC)->no2)
#define TRD0EN         (((volatile __near __bitf_T *)0xFC)->no3)
#define TRGEN          (((volatile __near __bitf_T *)0xFC)->no4)
#define TKBEN          (((volatile __near __bitf_T *)0xFC)->no5)
#define MEMEN          (((volatile __near __bitf_T *)0xFC)->no6)
#define FAAEN          (((volatile __near __bitf_T *)0xFC)->no7)
#define PRR2           (*(volatile __near unsigned char  *)0xFD)
#define PRR2_bit       (*(volatile __near __bitf_T *)0xFD)
#define TRJ0RES        (((volatile __near __bitf_T *)0xFD)->no0)
#define TRXRES         (((volatile __near __bitf_T *)0xFD)->no1)
#define PWMOPRES       (((volatile __near __bitf_T *)0xFD)->no2)
#define TRD0RES        (((volatile __near __bitf_T *)0xFD)->no3)
#define TRGRES         (((volatile __near __bitf_T *)0xFD)->no4)
#define TKBRES         (((volatile __near __bitf_T *)0xFD)->no5)
#define MEMRES         (((volatile __near __bitf_T *)0xFD)->no6)
#define FAARES         (((volatile __near __bitf_T *)0xFD)->no7)
#define BCDADJ         (*(volatile __near unsigned char  *)0xFE)
#define VECTCTRL       (*(volatile __near unsigned char  *)0xFF)
#define SSR00          (*(volatile __near unsigned short *)0x100)
#define SSR00L         (*(volatile __near unsigned char  *)0x100)
#define SSR01          (*(volatile __near unsigned short *)0x102)
#define SSR01L         (*(volatile __near unsigned char  *)0x102)
#define SSR02          (*(volatile __near unsigned short *)0x104)
#define SSR02L         (*(volatile __near unsigned char  *)0x104)
#define SSR03          (*(volatile __near unsigned short *)0x106)
#define SSR03L         (*(volatile __near unsigned char  *)0x106)
#define SIR00          (*(volatile __near unsigned short *)0x108)
#define SIR00L         (*(volatile __near unsigned char  *)0x108)
#define SIR01          (*(volatile __near unsigned short *)0x10A)
#define SIR01L         (*(volatile __near unsigned char  *)0x10A)
#define SIR02          (*(volatile __near unsigned short *)0x10C)
#define SIR02L         (*(volatile __near unsigned char  *)0x10C)
#define SIR03          (*(volatile __near unsigned short *)0x10E)
#define SIR03L         (*(volatile __near unsigned char  *)0x10E)
#define SMR00          (*(volatile __near unsigned short *)0x110)
#define SMR01          (*(volatile __near unsigned short *)0x112)
#define SMR02          (*(volatile __near unsigned short *)0x114)
#define SMR03          (*(volatile __near unsigned short *)0x116)
#define SCR00          (*(volatile __near unsigned short *)0x118)
#define SCR01          (*(volatile __near unsigned short *)0x11A)
#define SCR02          (*(volatile __near unsigned short *)0x11C)
#define SCR03          (*(volatile __near unsigned short *)0x11E)
#define SE0            (*(volatile __near unsigned short *)0x120)
#define SE0L           (*(volatile __near unsigned char  *)0x120)
#define SE0L_bit       (*(volatile __near __bitf_T *)0x120)
#define SS0            (*(volatile __near unsigned short *)0x122)
#define SS0L           (*(volatile __near unsigned char  *)0x122)
#define SS0L_bit       (*(volatile __near __bitf_T *)0x122)
#define ST0            (*(volatile __near unsigned short *)0x124)
#define ST0L           (*(volatile __near unsigned char  *)0x124)
#define ST0L_bit       (*(volatile __near __bitf_T *)0x124)
#define SPS0           (*(volatile __near unsigned short *)0x126)
#define SPS0L          (*(volatile __near unsigned char  *)0x126)
#define SO0            (*(volatile __near unsigned short *)0x128)
#define SOE0           (*(volatile __near unsigned short *)0x12A)
#define SOE0L          (*(volatile __near unsigned char  *)0x12A)
#define SOE0L_bit      (*(volatile __near __bitf_T *)0x12A)
#define SOL0           (*(volatile __near unsigned short *)0x134)
#define SOL0L          (*(volatile __near unsigned char  *)0x134)
#define SSC0           (*(volatile __near unsigned short *)0x138)
#define SSC0L          (*(volatile __near unsigned char  *)0x138)
#define SSR10          (*(volatile __near unsigned short *)0x140)
#define SSR10L         (*(volatile __near unsigned char  *)0x140)
#define SSR11          (*(volatile __near unsigned short *)0x142)
#define SSR11L         (*(volatile __near unsigned char  *)0x142)
#define SIR10          (*(volatile __near unsigned short *)0x148)
#define SIR10L         (*(volatile __near unsigned char  *)0x148)
#define SIR11          (*(volatile __near unsigned short *)0x14A)
#define SIR11L         (*(volatile __near unsigned char  *)0x14A)
#define SMR10          (*(volatile __near unsigned short *)0x150)
#define SMR11          (*(volatile __near unsigned short *)0x152)
#define SCR10          (*(volatile __near unsigned short *)0x158)
#define SCR11          (*(volatile __near unsigned short *)0x15A)
#define SE1            (*(volatile __near unsigned short *)0x160)
#define SE1L           (*(volatile __near unsigned char  *)0x160)
#define SE1L_bit       (*(volatile __near __bitf_T *)0x160)
#define SS1            (*(volatile __near unsigned short *)0x162)
#define SS1L           (*(volatile __near unsigned char  *)0x162)
#define SS1L_bit       (*(volatile __near __bitf_T *)0x162)
#define ST1            (*(volatile __near unsigned short *)0x164)
#define ST1L           (*(volatile __near unsigned char  *)0x164)
#define ST1L_bit       (*(volatile __near __bitf_T *)0x164)
#define SPS1           (*(volatile __near unsigned short *)0x166)
#define SPS1L          (*(volatile __near unsigned char  *)0x166)
#define SO1            (*(volatile __near unsigned short *)0x168)
#define SOE1           (*(volatile __near unsigned short *)0x16A)
#define SOE1L          (*(volatile __near unsigned char  *)0x16A)
#define SOE1L_bit      (*(volatile __near __bitf_T *)0x16A)
#define SOL1           (*(volatile __near unsigned short *)0x174)
#define SOL1L          (*(volatile __near unsigned char  *)0x174)
#define TCR00          (*(volatile __near unsigned short *)0x180)
#define TCR01          (*(volatile __near unsigned short *)0x182)
#define TCR02          (*(volatile __near unsigned short *)0x184)
#define TCR03          (*(volatile __near unsigned short *)0x186)
#define TMR00          (*(volatile __near unsigned short *)0x190)
#define TMR01          (*(volatile __near unsigned short *)0x192)
#define TMR02          (*(volatile __near unsigned short *)0x194)
#define TMR03          (*(volatile __near unsigned short *)0x196)
#define TSR00          (*(volatile __near unsigned short *)0x1A0)
#define TSR00L         (*(volatile __near unsigned char  *)0x1A0)
#define TSR01          (*(volatile __near unsigned short *)0x1A2)
#define TSR01L         (*(volatile __near unsigned char  *)0x1A2)
#define TSR02          (*(volatile __near unsigned short *)0x1A4)
#define TSR02L         (*(volatile __near unsigned char  *)0x1A4)
#define TSR03          (*(volatile __near unsigned short *)0x1A6)
#define TSR03L         (*(volatile __near unsigned char  *)0x1A6)
#define TE0            (*(volatile __near unsigned short *)0x1B0)
#define TE0L           (*(volatile __near unsigned char  *)0x1B0)
#define TE0L_bit       (*(volatile __near __bitf_T *)0x1B0)
#define TS0            (*(volatile __near unsigned short *)0x1B2)
#define TS0L           (*(volatile __near unsigned char  *)0x1B2)
#define TS0L_bit       (*(volatile __near __bitf_T *)0x1B2)
#define TT0            (*(volatile __near unsigned short *)0x1B4)
#define TT0L           (*(volatile __near unsigned char  *)0x1B4)
#define TT0L_bit       (*(volatile __near __bitf_T *)0x1B4)
#define TPS0           (*(volatile __near unsigned short *)0x1B6)
#define TO0            (*(volatile __near unsigned short *)0x1B8)
#define TO0L           (*(volatile __near unsigned char  *)0x1B8)
#define TOE0           (*(volatile __near unsigned short *)0x1BA)
#define TOE0L          (*(volatile __near unsigned char  *)0x1BA)
#define TOE0L_bit      (*(volatile __near __bitf_T *)0x1BA)
#define TOL0           (*(volatile __near unsigned short *)0x1BC)
#define TOL0L          (*(volatile __near unsigned char  *)0x1BC)
#define TOM0           (*(volatile __near unsigned short *)0x1BE)
#define TOM0L          (*(volatile __near unsigned char  *)0x1BE)
#define MIOTRM         (*(volatile __near unsigned char  *)0x212)
#define LIOTRM         (*(volatile __near unsigned char  *)0x213)
#define MOSCDIV        (*(volatile __near unsigned char  *)0x214)
#define WKUPMD         (*(volatile __near unsigned char  *)0x215)
#define WKUPMD_bit     (*(volatile __near __bitf_T *)0x215)
#define FWKUP          (((volatile __near __bitf_T *)0x215)->no0)
#define LVDFCLR        (*(volatile __near unsigned char  *)0x218)
#define LVDFCLR_bit    (*(volatile __near __bitf_T *)0x218)
#define DLVD0FCLR      (((volatile __near __bitf_T *)0x218)->no2)
#define DLVD1FCLR      (((volatile __near __bitf_T *)0x218)->no3)
#define HSCLKSEL       (*(volatile __near unsigned char  *)0x219)
#define HSCLKSEL_bit   (*(volatile __near __bitf_T *)0x219)
#define FIHSEL         (((volatile __near __bitf_T *)0x219)->no0)
#define FIHST          (((volatile __near __bitf_T *)0x219)->no1)
#define SEC            (*(volatile __near unsigned char  *)0x220)
#define MIN            (*(volatile __near unsigned char  *)0x221)
#define HOUR           (*(volatile __near unsigned char  *)0x222)
#define WEEK           (*(volatile __near unsigned char  *)0x223)
#define DAY            (*(volatile __near unsigned char  *)0x224)
#define MONTH          (*(volatile __near unsigned char  *)0x225)
#define YEAR           (*(volatile __near unsigned char  *)0x226)
#define SUBCUD         (*(volatile __near unsigned char  *)0x227)
#define ALARMWM        (*(volatile __near unsigned char  *)0x228)
#define ALARMWH        (*(volatile __near unsigned char  *)0x229)
#define ALARMWW        (*(volatile __near unsigned char  *)0x22A)
#define RTCC0          (*(volatile __near unsigned char  *)0x22B)
#define RTCC0_bit      (*(volatile __near __bitf_T *)0x22B)
#define RTC128EN       (((volatile __near __bitf_T *)0x22B)->no4)
#define RCLOE1         (((volatile __near __bitf_T *)0x22B)->no5)
#define RTCE           (((volatile __near __bitf_T *)0x22B)->no7)
#define RTCC1          (*(volatile __near unsigned char  *)0x22C)
#define RTCC1_bit      (*(volatile __near __bitf_T *)0x22C)
#define RWAIT          (((volatile __near __bitf_T *)0x22C)->no0)
#define RWST           (((volatile __near __bitf_T *)0x22C)->no1)
#define RIFG           (((volatile __near __bitf_T *)0x22C)->no3)
#define WAFG           (((volatile __near __bitf_T *)0x22C)->no4)
#define WALIE          (((volatile __near __bitf_T *)0x22C)->no6)
#define WALE           (((volatile __near __bitf_T *)0x22C)->no7)
#define IICCTL00       (*(volatile __near unsigned char  *)0x230)
#define IICCTL00_bit   (*(volatile __near __bitf_T *)0x230)
#define SPT0           (((volatile __near __bitf_T *)0x230)->no0)
#define STT0           (((volatile __near __bitf_T *)0x230)->no1)
#define ACKE0          (((volatile __near __bitf_T *)0x230)->no2)
#define WTIM0          (((volatile __near __bitf_T *)0x230)->no3)
#define SPIE0          (((volatile __near __bitf_T *)0x230)->no4)
#define WREL0          (((volatile __near __bitf_T *)0x230)->no5)
#define LREL0          (((volatile __near __bitf_T *)0x230)->no6)
#define IICE0          (((volatile __near __bitf_T *)0x230)->no7)
#define IICCTL01       (*(volatile __near unsigned char  *)0x231)
#define IICCTL01_bit   (*(volatile __near __bitf_T *)0x231)
#define PRS0           (((volatile __near __bitf_T *)0x231)->no0)
#define DFC0           (((volatile __near __bitf_T *)0x231)->no2)
#define SMC0           (((volatile __near __bitf_T *)0x231)->no3)
#define DAD0           (((volatile __near __bitf_T *)0x231)->no4)
#define CLD0           (((volatile __near __bitf_T *)0x231)->no5)
#define SVADIS0        (((volatile __near __bitf_T *)0x231)->no6)
#define WUP0           (((volatile __near __bitf_T *)0x231)->no7)
#define IICWL0         (*(volatile __near unsigned char  *)0x232)
#define IICWH0         (*(volatile __near unsigned char  *)0x233)
#define SVA0           (*(volatile __near unsigned char  *)0x234)
#define TRJCR0         (*(volatile __near unsigned char  *)0x240)
#define TRJIOC0        (*(volatile __near unsigned char  *)0x241)
#define TRJIOC0_bit    (*(volatile __near __bitf_T *)0x241)
#define TRJMR0         (*(volatile __near unsigned char  *)0x242)
#define TRJMR0_bit     (*(volatile __near __bitf_T *)0x242)
#define TRJISR0        (*(volatile __near unsigned char  *)0x243)
#define TRJISR0_bit    (*(volatile __near __bitf_T *)0x243)
#define CCS0           (*(volatile __near unsigned char  *)0x2A0)
#define CCS4           (*(volatile __near unsigned char  *)0x2A4)
#define CCS5           (*(volatile __near unsigned char  *)0x2A5)
#define CCS6           (*(volatile __near unsigned char  *)0x2A6)
#define CCS7           (*(volatile __near unsigned char  *)0x2A7)
#define CCDE           (*(volatile __near unsigned char  *)0x2A8)
#define CCDE_bit       (*(volatile __near __bitf_T *)0x2A8)
#define TRDPOE         (*(volatile __near unsigned char  *)0x2AC)
#define PIOR1          (*(volatile __near unsigned char  *)0x2AD)
#define PIOR2          (*(volatile __near unsigned char  *)0x2AE)
#define PIOR3          (*(volatile __near unsigned char  *)0x2AF)
#define PDIDIS0        (*(volatile __near unsigned char  *)0x2B0)
#define PDIDIS0_bit    (*(volatile __near __bitf_T *)0x2B0)
#define PDIDIS1        (*(volatile __near unsigned char  *)0x2B1)
#define PDIDIS1_bit    (*(volatile __near __bitf_T *)0x2B1)
#define PDIDIS3        (*(volatile __near unsigned char  *)0x2B3)
#define PDIDIS3_bit    (*(volatile __near __bitf_T *)0x2B3)
#define PDIDIS5        (*(volatile __near unsigned char  *)0x2B5)
#define PDIDIS5_bit    (*(volatile __near __bitf_T *)0x2B5)
#define PDIDIS7        (*(volatile __near unsigned char  *)0x2B7)
#define PDIDIS7_bit    (*(volatile __near __bitf_T *)0x2B7)
#define PDIDIS13       (*(volatile __near unsigned char  *)0x2BD)
#define PDIDIS13_bit   (*(volatile __near __bitf_T *)0x2BD)
#define FLPMC          (*(volatile __near unsigned char  *)0x2C0)
#define FLARS          (*(volatile __near unsigned char  *)0x2C1)
#define FLARS_bit      (*(volatile __near __bitf_T *)0x2C1)
#define FLAPL          (*(volatile __near unsigned short *)0x2C2)
#define FLAPH          (*(volatile __near unsigned char  *)0x2C4)
#define FSSQ           (*(volatile __near unsigned char  *)0x2C5)
#define FSSQ_bit       (*(volatile __near __bitf_T *)0x2C5)
#define FSSTP          (((volatile __near __bitf_T *)0x2C5)->no6)
#define SQST           (((volatile __near __bitf_T *)0x2C5)->no7)
#define FLSEDL         (*(volatile __near unsigned short *)0x2C6)
#define FLSEDH         (*(volatile __near unsigned char  *)0x2C8)
#define FLRST          (*(volatile __near unsigned char  *)0x2C9)
#define FLRST_bit      (*(volatile __near __bitf_T *)0x2C9)
#define FSASTL         (*(volatile __near unsigned char  *)0x2CA)
#define FSASTL_bit     (*(volatile __near __bitf_T *)0x2CA)
#define FSASTH         (*(volatile __near unsigned char  *)0x2CB)
#define FSASTH_bit     (*(volatile __near __bitf_T *)0x2CB)
#define FLWL           (*(volatile __near unsigned short *)0x2CC)
#define FLWH           (*(volatile __near unsigned short *)0x2CE)
#define DTCBAR         (*(volatile __near unsigned char  *)0x2E0)
#define DSCCTL         (*(volatile __near unsigned char  *)0x2E5)
#define DSCCTL_bit     (*(volatile __near __bitf_T *)0x2E5)
#define DSCON          (((volatile __near __bitf_T *)0x2E5)->no0)
#define PLLDIV0        (((volatile __near __bitf_T *)0x2E5)->no6)
#define MCKC           (*(volatile __near unsigned char  *)0x2E6)
#define MCKC_bit       (*(volatile __near __bitf_T *)0x2E6)
#define CKSELR         (((volatile __near __bitf_T *)0x2E6)->no0)
#define RDIV0          (((volatile __near __bitf_T *)0x2E6)->no1)
#define RDIV1          (((volatile __near __bitf_T *)0x2E6)->no2)
#define CLSTR          (((volatile __near __bitf_T *)0x2E6)->no7)
#define DTCEN0         (*(volatile __near unsigned char  *)0x2E8)
#define DTCEN0_bit     (*(volatile __near __bitf_T *)0x2E8)
#define DTCEN1         (*(volatile __near unsigned char  *)0x2E9)
#define DTCEN1_bit     (*(volatile __near __bitf_T *)0x2E9)
#define DTCEN2         (*(volatile __near unsigned char  *)0x2EA)
#define DTCEN2_bit     (*(volatile __near __bitf_T *)0x2EA)
#define DTCEN3         (*(volatile __near unsigned char  *)0x2EB)
#define DTCEN3_bit     (*(volatile __near __bitf_T *)0x2EB)
#define DTCEN4         (*(volatile __near unsigned char  *)0x2EC)
#define DTCEN4_bit     (*(volatile __near __bitf_T *)0x2EC)
#define DTCEN5         (*(volatile __near unsigned char  *)0x2ED)
#define DTCEN5_bit     (*(volatile __near __bitf_T *)0x2ED)
#define DTCEN6         (*(volatile __near unsigned char  *)0x2EE)
#define DTCEN6_bit     (*(volatile __near __bitf_T *)0x2EE)
#define CRC0CTL        (*(volatile __near unsigned char  *)0x2F0)
#define CRC0CTL_bit    (*(volatile __near __bitf_T *)0x2F0)
#define CRC0EN         (((volatile __near __bitf_T *)0x2F0)->no7)
#define PGCRCL         (*(volatile __near unsigned short *)0x2F2)
#define CRCD           (*(volatile __near unsigned short *)0x2FA)
#define ELSELR00       (*(volatile __near unsigned char  *)0x300)
#define ELSELR01       (*(volatile __near unsigned char  *)0x301)
#define ELSELR02       (*(volatile __near unsigned char  *)0x302)
#define ELSELR03       (*(volatile __near unsigned char  *)0x303)
#define ELSELR04       (*(volatile __near unsigned char  *)0x304)
#define ELSELR05       (*(volatile __near unsigned char  *)0x305)
#define ELSELR06       (*(volatile __near unsigned char  *)0x306)
#define ELSELR07       (*(volatile __near unsigned char  *)0x307)
#define ELSELR08       (*(volatile __near unsigned char  *)0x308)
#define ELSELR09       (*(volatile __near unsigned char  *)0x309)
#define ELSELR10       (*(volatile __near unsigned char  *)0x30A)
#define ELSELR11       (*(volatile __near unsigned char  *)0x30B)
#define ELSELR12       (*(volatile __near unsigned char  *)0x30C)
#define ELSELR13       (*(volatile __near unsigned char  *)0x30D)
#define ELSELR14       (*(volatile __near unsigned char  *)0x30E)
#define ELSELR15       (*(volatile __near unsigned char  *)0x30F)
#define ELSELR16       (*(volatile __near unsigned char  *)0x310)
#define ELSELR17       (*(volatile __near unsigned char  *)0x311)
#define ELSELR18       (*(volatile __near unsigned char  *)0x312)
#define ELSELR19       (*(volatile __near unsigned char  *)0x313)
#define ELSELR20       (*(volatile __near unsigned char  *)0x314)
#define ELSELR21       (*(volatile __near unsigned char  *)0x315)
#define ELSELR22       (*(volatile __near unsigned char  *)0x316)
#define ELSELR23       (*(volatile __near unsigned char  *)0x317)
#define ELSELR24       (*(volatile __near unsigned char  *)0x318)
#define ELSELR25       (*(volatile __near unsigned char  *)0x319)
#define ELSELR26       (*(volatile __near unsigned char  *)0x31A)
#define ELSELR27       (*(volatile __near unsigned char  *)0x31B)
#define ELSELR28       (*(volatile __near unsigned char  *)0x31C)
#define ELSELR29       (*(volatile __near unsigned char  *)0x31D)
#define ELSELR30       (*(volatile __near unsigned char  *)0x31E)
#define ELSELR31       (*(volatile __near unsigned char  *)0x31F)
#define ELSELR32       (*(volatile __near unsigned char  *)0x320)
#define ELSELR33       (*(volatile __near unsigned char  *)0x321)
#define DAM0           (*(volatile __near unsigned char  *)0x330)
#define DAM0_bit       (*(volatile __near __bitf_T *)0x330)
#define DACE0          (((volatile __near __bitf_T *)0x330)->no4)
#define DACE1          (((volatile __near __bitf_T *)0x330)->no5)
#define DACE2          (((volatile __near __bitf_T *)0x330)->no6)
#define DAM1           (*(volatile __near unsigned char  *)0x331)
#define DAM1_bit       (*(volatile __near __bitf_T *)0x331)
#define DAPOE0         (((volatile __near __bitf_T *)0x331)->no0)
#define DAPOE1         (((volatile __near __bitf_T *)0x331)->no1)
#define DAPOE2         (((volatile __near __bitf_T *)0x331)->no2)
#define DAM2           (*(volatile __near unsigned char  *)0x332)
#define DACS2          (*(volatile __near unsigned char  *)0x333)
#define DACS0          (*(volatile __near unsigned short *)0x334)
#define DACS1          (*(volatile __near unsigned short *)0x336)
#define DACS1L         (*(volatile __near unsigned char  *)0x336)
#define COMPMDR0       (*(volatile __near unsigned char  *)0x340)
#define COMPMDR0_bit   (*(volatile __near __bitf_T *)0x340)
#define C0ENB          (((volatile __near __bitf_T *)0x340)->no0)
#define C0POE          (((volatile __near __bitf_T *)0x340)->no1)
#define C0MON          (((volatile __near __bitf_T *)0x340)->no3)
#define C1ENB          (((volatile __near __bitf_T *)0x340)->no4)
#define C1POE          (((volatile __near __bitf_T *)0x340)->no5)
#define C1MON          (((volatile __near __bitf_T *)0x340)->no7)
#define COMPFIR0       (*(volatile __near unsigned char  *)0x341)
#define COMPOCR0       (*(volatile __near unsigned char  *)0x342)
#define COMPOCR0_bit   (*(volatile __near __bitf_T *)0x342)
#define C0IE           (((volatile __near __bitf_T *)0x342)->no0)
#define C0OE           (((volatile __near __bitf_T *)0x342)->no1)
#define C0OP           (((volatile __near __bitf_T *)0x342)->no2)
#define C0OTWMD        (((volatile __near __bitf_T *)0x342)->no3)
#define C1IE           (((volatile __near __bitf_T *)0x342)->no4)
#define C1OE           (((volatile __near __bitf_T *)0x342)->no5)
#define C1OP           (((volatile __near __bitf_T *)0x342)->no6)
#define C1OTWMD        (((volatile __near __bitf_T *)0x342)->no7)
#define COMPMDR1       (*(volatile __near unsigned char  *)0x344)
#define COMPMDR1_bit   (*(volatile __near __bitf_T *)0x344)
#define C2ENB          (((volatile __near __bitf_T *)0x344)->no0)
#define C2POE          (((volatile __near __bitf_T *)0x344)->no1)
#define C2MON          (((volatile __near __bitf_T *)0x344)->no3)
#define C3ENB          (((volatile __near __bitf_T *)0x344)->no4)
#define C3POE          (((volatile __near __bitf_T *)0x344)->no5)
#define C3MON          (((volatile __near __bitf_T *)0x344)->no7)
#define COMPFIR1       (*(volatile __near unsigned char  *)0x345)
#define COMPOCR1       (*(volatile __near unsigned char  *)0x346)
#define COMPOCR1_bit   (*(volatile __near __bitf_T *)0x346)
#define C2IE           (((volatile __near __bitf_T *)0x346)->no0)
#define C2OE           (((volatile __near __bitf_T *)0x346)->no1)
#define C2OP           (((volatile __near __bitf_T *)0x346)->no2)
#define C2OTWMD        (((volatile __near __bitf_T *)0x346)->no3)
#define C3IE           (((volatile __near __bitf_T *)0x346)->no4)
#define C3OE           (((volatile __near __bitf_T *)0x346)->no5)
#define C3OP           (((volatile __near __bitf_T *)0x346)->no6)
#define PGACTL         (*(volatile __near unsigned char  *)0x347)
#define PGACTL_bit     (*(volatile __near __bitf_T *)0x347)
#define PGAPOE         (((volatile __near __bitf_T *)0x347)->no6)
#define PGAEN          (((volatile __near __bitf_T *)0x347)->no7)
#define PGAINS         (*(volatile __near unsigned char  *)0x348)
#define PGAINS_bit     (*(volatile __near __bitf_T *)0x348)
#define CMP0SEL        (*(volatile __near unsigned char  *)0x34A)
#define CMP1SEL        (*(volatile __near unsigned char  *)0x34B)
#define CMP2SEL        (*(volatile __near unsigned char  *)0x34C)
#define CMP3SEL        (*(volatile __near unsigned char  *)0x34D)
#define COMPOCR2       (*(volatile __near unsigned char  *)0x34E)
#define TRX            (*(volatile __near unsigned short *)0x350)
#define TRXBUF         (*(volatile __near unsigned short *)0x352)
#define TRXCR1         (*(volatile __near unsigned char  *)0x354)
#define TRXCR1_bit     (*(volatile __near __bitf_T *)0x354)
#define TRXCR2         (*(volatile __near unsigned char  *)0x355)
#define TRXCR2_bit     (*(volatile __near __bitf_T *)0x355)
#define TRXSR          (*(volatile __near unsigned char  *)0x356)
#define TRXSR_bit      (*(volatile __near __bitf_T *)0x356)
#define TRXOVF         (((volatile __near __bitf_T *)0x356)->no0)
#define TRXSB          (((volatile __near __bitf_T *)0x356)->no1)
#define OPCTL0         (*(volatile __near unsigned char  *)0x358)
#define OPDF0          (*(volatile __near unsigned char  *)0x359)
#define OPDF1          (*(volatile __near unsigned char  *)0x35A)
#define OPEDGE         (*(volatile __near unsigned char  *)0x35B)
#define OPSR           (*(volatile __near unsigned char  *)0x35C)
#define ITLCMP00       (*(volatile __near unsigned short *)0x360)
#define ITLCMP000      (*(volatile __near unsigned char  *)0x360)
#define ITLCMP001      (*(volatile __near unsigned char  *)0x361)
#define ITLCMP01       (*(volatile __near unsigned short *)0x362)
#define ITLCMP012      (*(volatile __near unsigned char  *)0x362)
#define ITLCMP013      (*(volatile __near unsigned char  *)0x363)
#define ITLCAP00       (*(volatile __near unsigned short *)0x364)
#define ITLCTL0        (*(volatile __near unsigned char  *)0x366)
#define ITLCTL0_bit    (*(volatile __near __bitf_T *)0x366)
#define ITLEN00        (((volatile __near __bitf_T *)0x366)->no0)
#define ITLEN01        (((volatile __near __bitf_T *)0x366)->no1)
#define ITLEN02        (((volatile __near __bitf_T *)0x366)->no2)
#define ITLEN03        (((volatile __near __bitf_T *)0x366)->no3)
#define ITLCSEL0       (*(volatile __near unsigned char  *)0x367)
#define ITLFDIV00      (*(volatile __near unsigned char  *)0x368)
#define ITLFDIV01      (*(volatile __near unsigned char  *)0x369)
#define ITLCC0         (*(volatile __near unsigned char  *)0x36A)
#define ITLCC0_bit     (*(volatile __near __bitf_T *)0x36A)
#define CAPR0          (((volatile __near __bitf_T *)0x36A)->no4)
#define CAPF0CR        (((volatile __near __bitf_T *)0x36A)->no6)
#define ITLS0          (*(volatile __near unsigned char  *)0x36B)
#define ITLMKF0        (*(volatile __near unsigned char  *)0x36C)
#define INTPCTL0       (*(volatile __near unsigned char  *)0x370)
#define INTPCTL1       (*(volatile __near unsigned char  *)0x371)
#define INTPCTL2       (*(volatile __near unsigned char  *)0x372)
#define TPS2           (*(volatile __near unsigned char  *)0x373)
#define TRDELC         (*(volatile __near unsigned char  *)0x390)
#define TRDBCR         (*(volatile __near unsigned char  *)0x391)
#define TRDBOF         (*(volatile __near unsigned char  *)0x392)
#define TRDSTR         (*(volatile __near unsigned char  *)0x393)
#define TRDMR          (*(volatile __near unsigned char  *)0x394)
#define TRDMR_bit      (*(volatile __near __bitf_T *)0x394)
#define TRDSYNC        (((volatile __near __bitf_T *)0x394)->no0)
#define TRDBFC0        (((volatile __near __bitf_T *)0x394)->no4)
#define TRDBFD0        (((volatile __near __bitf_T *)0x394)->no5)
#define TRDBFC1        (((volatile __near __bitf_T *)0x394)->no6)
#define TRDBFD1        (((volatile __near __bitf_T *)0x394)->no7)
#define TRDPMR         (*(volatile __near unsigned char  *)0x395)
#define TRDPMR_bit     (*(volatile __near __bitf_T *)0x395)
#define TRDPWMB0       (((volatile __near __bitf_T *)0x395)->no0)
#define TRDPWMC0       (((volatile __near __bitf_T *)0x395)->no1)
#define TRDPWMD0       (((volatile __near __bitf_T *)0x395)->no2)
#define TRDPWMB1       (((volatile __near __bitf_T *)0x395)->no4)
#define TRDPWMC1       (((volatile __near __bitf_T *)0x395)->no5)
#define TRDPWMD1       (((volatile __near __bitf_T *)0x395)->no6)
#define TRDPWMA1       (((volatile __near __bitf_T *)0x395)->no7)
#define TRDFCR         (*(volatile __near unsigned char  *)0x396)
#define TRDOER1        (*(volatile __near unsigned char  *)0x397)
#define TRDOER2        (*(volatile __near unsigned char  *)0x398)
#define TRDOER2_bit    (*(volatile __near __bitf_T *)0x398)
#define TRDSHUTS       (((volatile __near __bitf_T *)0x398)->no0)
#define TRDPTO         (((volatile __near __bitf_T *)0x398)->no7)
#define TRDOCR         (*(volatile __near unsigned char  *)0x399)
#define TRDDF0         (*(volatile __near unsigned char  *)0x39A)
#define TRDDF1         (*(volatile __near unsigned char  *)0x39B)
#define TRDCR0         (*(volatile __near unsigned char  *)0x3A0)
#define TRDIORA0       (*(volatile __near unsigned char  *)0x3A1)
#define TRDIORC0       (*(volatile __near unsigned char  *)0x3A2)
#define TRDSR0         (*(volatile __near unsigned char  *)0x3A3)
#define TRDSR0_bit     (*(volatile __near __bitf_T *)0x3A3)
#define TRDIER0        (*(volatile __near unsigned char  *)0x3A4)
#define TRDPOCR0       (*(volatile __near unsigned char  *)0x3A5)
#define TRD0           (*(volatile __near unsigned short *)0x3A6)
#define TRDGRA0        (*(volatile __near unsigned short *)0x3A8)
#define TRDGRB0        (*(volatile __near unsigned short *)0x3AA)
#define TRDCR1         (*(volatile __near unsigned char  *)0x3B0)
#define TRDIORA1       (*(volatile __near unsigned char  *)0x3B1)
#define TRDIORC1       (*(volatile __near unsigned char  *)0x3B2)
#define TRDSR1         (*(volatile __near unsigned char  *)0x3B3)
#define TRDSR1_bit     (*(volatile __near __bitf_T *)0x3B3)
#define TRDIER1        (*(volatile __near unsigned char  *)0x3B4)
#define TRDPOCR1       (*(volatile __near unsigned char  *)0x3B5)
#define TRD1           (*(volatile __near unsigned short *)0x3B6)
#define TRDGRA1        (*(volatile __near unsigned short *)0x3B8)
#define TRDGRB1        (*(volatile __near unsigned short *)0x3BA)
#define TRDCMPB0       (*(volatile __near unsigned short *)0x3C0)
#define TRDCMPA1       (*(volatile __near unsigned short *)0x3C4)
#define TRDCMPB1       (*(volatile __near unsigned short *)0x3C8)
#define TRDCMPE1       (*(volatile __near unsigned short *)0x3CC)
#define TRDADTC0       (*(volatile __near unsigned short *)0x3CC)
#define TRDADTC1       (*(volatile __near unsigned short *)0x3D0)
#define TRDRSF         (*(volatile __near unsigned short *)0x3D6)
#define TRDRSF0        (*(volatile __near unsigned char  *)0x3D6)
#define TRDRSF1        (*(volatile __near unsigned char  *)0x3D7)
#define TRDADCR        (*(volatile __near unsigned char  *)0x3D8)
#define TRGMR0         (*(volatile __near unsigned char  *)0x3E0)
#define TRGMR0_bit     (*(volatile __near __bitf_T *)0x3E0)
#define TRGPWM         (((volatile __near __bitf_T *)0x3E0)->no0)
#define TRGMDF         (((volatile __near __bitf_T *)0x3E0)->no1)
#define TRGDFA         (((volatile __near __bitf_T *)0x3E0)->no2)
#define TRGDFB         (((volatile __near __bitf_T *)0x3E0)->no3)
#define TRGDFCK0       (((volatile __near __bitf_T *)0x3E0)->no4)
#define TRGDFCK1       (((volatile __near __bitf_T *)0x3E0)->no5)
#define TRGELCICE      (((volatile __near __bitf_T *)0x3E0)->no6)
#define TRGSTART       (((volatile __near __bitf_T *)0x3E0)->no7)
#define TRGCNTC        (*(volatile __near unsigned char  *)0x3E1)
#define TRGCR          (*(volatile __near unsigned char  *)0x3E2)
#define TRGCR_bit      (*(volatile __near __bitf_T *)0x3E2)
#define TRGTCK0        (((volatile __near __bitf_T *)0x3E2)->no0)
#define TRGTCK1        (((volatile __near __bitf_T *)0x3E2)->no1)
#define TRGTCK2        (((volatile __near __bitf_T *)0x3E2)->no2)
#define TRGCKEG0       (((volatile __near __bitf_T *)0x3E2)->no3)
#define TRGCKEG1       (((volatile __near __bitf_T *)0x3E2)->no4)
#define TRGCCLR0       (((volatile __near __bitf_T *)0x3E2)->no5)
#define TRGCCLR1       (((volatile __near __bitf_T *)0x3E2)->no6)
#define TRGIER0        (*(volatile __near unsigned char  *)0x3E3)
#define TRGIER0_bit    (*(volatile __near __bitf_T *)0x3E3)
#define TRGIMIEA       (((volatile __near __bitf_T *)0x3E3)->no0)
#define TRGIMIEB       (((volatile __near __bitf_T *)0x3E3)->no1)
#define TRGUDIE        (((volatile __near __bitf_T *)0x3E3)->no2)
#define TRGOVIE        (((volatile __near __bitf_T *)0x3E3)->no3)
#define TRGIMIEC       (((volatile __near __bitf_T *)0x3E3)->no6)
#define TRGIMIED       (((volatile __near __bitf_T *)0x3E3)->no7)
#define TRGSR0         (*(volatile __near unsigned char  *)0x3E4)
#define TRGSR0_bit     (*(volatile __near __bitf_T *)0x3E4)
#define TRGIMFA        (((volatile __near __bitf_T *)0x3E4)->no0)
#define TRGIMFB        (((volatile __near __bitf_T *)0x3E4)->no1)
#define TRGUDF         (((volatile __near __bitf_T *)0x3E4)->no2)
#define TRGOVF         (((volatile __near __bitf_T *)0x3E4)->no3)
#define TRGDIRF        (((volatile __near __bitf_T *)0x3E4)->no4)
#define TRGIMFC        (((volatile __near __bitf_T *)0x3E4)->no6)
#define TRGIMFD        (((volatile __near __bitf_T *)0x3E4)->no7)
#define TRGIOR         (*(volatile __near unsigned char  *)0x3E5)
#define TRGIOR_bit     (*(volatile __near __bitf_T *)0x3E5)
#define TRGIOA0        (((volatile __near __bitf_T *)0x3E5)->no0)
#define TRGIOA1        (((volatile __near __bitf_T *)0x3E5)->no1)
#define TRGIOA2        (((volatile __near __bitf_T *)0x3E5)->no2)
#define TRGBUFA        (((volatile __near __bitf_T *)0x3E5)->no3)
#define TRGIOB0        (((volatile __near __bitf_T *)0x3E5)->no4)
#define TRGIOB1        (((volatile __near __bitf_T *)0x3E5)->no5)
#define TRGIOB2        (((volatile __near __bitf_T *)0x3E5)->no6)
#define TRGBUFB        (((volatile __near __bitf_T *)0x3E5)->no7)
#define TRG            (*(volatile __near unsigned short *)0x3E6)
#define TRGGRA         (*(volatile __near unsigned short *)0x3E8)
#define TRGGRB         (*(volatile __near unsigned short *)0x3EA)
#define TRGMR1         (*(volatile __near unsigned char  *)0x3F0)
#define TRGMR1_bit     (*(volatile __near __bitf_T *)0x3F0)
#define TRGPWM2        (((volatile __near __bitf_T *)0x3F0)->no0)
#define TRGDFCLR       (((volatile __near __bitf_T *)0x3F0)->no1)
#define TRGTCEG0       (((volatile __near __bitf_T *)0x3F0)->no2)
#define TRGTCEG1       (((volatile __near __bitf_T *)0x3F0)->no3)
#define TRGPENA        (((volatile __near __bitf_T *)0x3F0)->no6)
#define TRGPENB        (((volatile __near __bitf_T *)0x3F0)->no7)
#define TRGOER         (*(volatile __near unsigned char  *)0x3F1)
#define TRGOER_bit     (*(volatile __near __bitf_T *)0x3F1)
#define TRGSHUTS       (((volatile __near __bitf_T *)0x3F1)->no0)
#define TRGPTO         (((volatile __near __bitf_T *)0x3F1)->no7)
#define TRGOCR         (*(volatile __near unsigned char  *)0x3F2)
#define TRGOCR_bit     (*(volatile __near __bitf_T *)0x3F2)
#define TRGTOA         (((volatile __near __bitf_T *)0x3F2)->no0)
#define TRGTOB         (((volatile __near __bitf_T *)0x3F2)->no1)
#define TRGIER1        (*(volatile __near unsigned char  *)0x3F3)
#define TRGIER1_bit    (*(volatile __near __bitf_T *)0x3F3)
#define TRGZCIE        (((volatile __near __bitf_T *)0x3F3)->no0)
#define TRGPCIE        (((volatile __near __bitf_T *)0x3F3)->no1)
#define TRGSR1         (*(volatile __near unsigned char  *)0x3F4)
#define TRGSR1_bit     (*(volatile __near __bitf_T *)0x3F4)
#define TRGZCLF        (((volatile __near __bitf_T *)0x3F4)->no0)
#define TRGPCLF        (((volatile __near __bitf_T *)0x3F4)->no1)
#define TRGSTR         (*(volatile __near unsigned char  *)0x3F5)
#define TRGSTR_bit     (*(volatile __near __bitf_T *)0x3F5)
#define TRGTSTART      (((volatile __near __bitf_T *)0x3F5)->no0)
#define TRGCSEL        (((volatile __near __bitf_T *)0x3F5)->no1)
#define TRGCTL0        (*(volatile __near unsigned char  *)0x3F6)
#define TRGCTL0_bit    (*(volatile __near __bitf_T *)0x3F6)
#define TRGIDZ0        (((volatile __near __bitf_T *)0x3F6)->no0)
#define TRGIDZ1        (((volatile __near __bitf_T *)0x3F6)->no1)
#define TRGACL         (((volatile __near __bitf_T *)0x3F6)->no4)
#define TRGBCL         (((volatile __near __bitf_T *)0x3F6)->no5)
#define TRGZCL         (((volatile __near __bitf_T *)0x3F6)->no6)
#define TRGSCE         (((volatile __near __bitf_T *)0x3F6)->no7)
#define TRGCTL1        (*(volatile __near unsigned char  *)0x3F7)
#define TRGCTL1_bit    (*(volatile __near __bitf_T *)0x3F7)
#define TRGECM0        (((volatile __near __bitf_T *)0x3F7)->no0)
#define TRGECM1        (((volatile __near __bitf_T *)0x3F7)->no1)
#define TRGLDE         (((volatile __near __bitf_T *)0x3F7)->no3)
#define TRGPMCE        (((volatile __near __bitf_T *)0x3F7)->no7)
#define TRGPMC         (*(volatile __near unsigned short *)0x3F8)
#define TRGCAP0        (*(volatile __near unsigned short *)0x3FA)
#define TRGCAP1        (*(volatile __near unsigned short *)0x3FC)
#define TKBCR20        (*(volatile __near unsigned short *)0x400)
#define TKBCR21        (*(volatile __near unsigned short *)0x402)
#define TKBCR22        (*(volatile __near unsigned short *)0x404)
#define TKBCR23        (*(volatile __near unsigned short *)0x406)
#define TKBTGCR2       (*(volatile __near unsigned short *)0x408)
#define TKBSIR20       (*(volatile __near unsigned short *)0x40A)
#define TKBSIR21       (*(volatile __near unsigned short *)0x40C)
#define TKBDNR20       (*(volatile __near unsigned char  *)0x40E)
#define TKBSSR20       (*(volatile __near unsigned char  *)0x40F)
#define TKBDNR21       (*(volatile __near unsigned char  *)0x410)
#define TKBSSR21       (*(volatile __near unsigned char  *)0x411)
#define TKBTRG2        (*(volatile __near unsigned char  *)0x412)
#define TKBTRG2_bit    (*(volatile __near __bitf_T *)0x412)
#define TKBRDT2        (((volatile __near __bitf_T *)0x412)->no0)
#define TKBFLG2        (*(volatile __near unsigned char  *)0x413)
#define TKBFLG2_bit    (*(volatile __near __bitf_T *)0x413)
#define TKBRSF2        (((volatile __near __bitf_T *)0x413)->no0)
#define TKBMFF2        (((volatile __near __bitf_T *)0x413)->no1)
#define TKBIEF2        (((volatile __near __bitf_T *)0x413)->no2)
#define TKBIRF2        (((volatile __near __bitf_T *)0x413)->no3)
#define TKBSEF20       (((volatile __near __bitf_T *)0x413)->no4)
#define TKBSEF21       (((volatile __near __bitf_T *)0x413)->no5)
#define TKBSSF20       (((volatile __near __bitf_T *)0x413)->no6)
#define TKBSSF21       (((volatile __near __bitf_T *)0x413)->no7)
#define TKBCRLD20      (*(volatile __near unsigned short *)0x414)
#define TKBCRLD21      (*(volatile __near unsigned short *)0x416)
#define TKBCNT2        (*(volatile __near unsigned short *)0x420)
#define TKBCTL20       (*(volatile __near unsigned short *)0x422)
#define TKBMFR2        (*(volatile __near unsigned short *)0x424)
#define TKBIOC20       (*(volatile __near unsigned char  *)0x426)
#define TKBIOC20_bit   (*(volatile __near __bitf_T *)0x426)
#define TKBTOD20       (((volatile __near __bitf_T *)0x426)->no0)
#define TKBTOD21       (((volatile __near __bitf_T *)0x426)->no1)
#define TKBTOL20       (((volatile __near __bitf_T *)0x426)->no2)
#define TKBTOL21       (((volatile __near __bitf_T *)0x426)->no3)
#define TKBCLR2        (*(volatile __near unsigned char  *)0x427)
#define TKBCLR2_bit    (*(volatile __near __bitf_T *)0x427)
#define TKBCLMF2       (((volatile __near __bitf_T *)0x427)->no1)
#define TKBCLIE2       (((volatile __near __bitf_T *)0x427)->no2)
#define TKBCLIR2       (((volatile __near __bitf_T *)0x427)->no3)
#define TKBCLSE20      (((volatile __near __bitf_T *)0x427)->no4)
#define TKBCLSE21      (((volatile __near __bitf_T *)0x427)->no5)
#define TKBIOC21       (*(volatile __near unsigned char  *)0x428)
#define TKBIOC21_bit   (*(volatile __near __bitf_T *)0x428)
#define TKBTOE20       (((volatile __near __bitf_T *)0x428)->no0)
#define TKBTOE21       (((volatile __near __bitf_T *)0x428)->no1)
#define TKBCTL21       (*(volatile __near unsigned char  *)0x429)
#define TKBCTL21_bit   (*(volatile __near __bitf_T *)0x429)
#define TKBCE2         (((volatile __near __bitf_T *)0x429)->no7)
#define TKBCTL22       (*(volatile __near unsigned short *)0x42A)
#define TKBPACTL20     (*(volatile __near unsigned short *)0x430)
#define TKBPACTL21     (*(volatile __near unsigned short *)0x432)
#define TKBPAHFS2      (*(volatile __near unsigned char  *)0x434)
#define TKBPAHFS2_bit  (*(volatile __near __bitf_T *)0x434)
#define TKBPAHTS20     (((volatile __near __bitf_T *)0x434)->no0)
#define TKBPAHTS21     (((volatile __near __bitf_T *)0x434)->no1)
#define TKBPAHFT2      (*(volatile __near unsigned char  *)0x435)
#define TKBPAHFT2_bit  (*(volatile __near __bitf_T *)0x435)
#define TKBPAHTT20     (((volatile __near __bitf_T *)0x435)->no0)
#define TKBPAHTT21     (((volatile __near __bitf_T *)0x435)->no1)
#define TKBPAFLG2      (*(volatile __near unsigned char  *)0x436)
#define TKBPAFLG2_bit  (*(volatile __near __bitf_T *)0x436)
#define TKBPAHIF20     (((volatile __near __bitf_T *)0x436)->no0)
#define TKBPAFIF20     (((volatile __near __bitf_T *)0x436)->no1)
#define TKBPAHIF21     (((volatile __near __bitf_T *)0x436)->no2)
#define TKBPAFIF21     (((volatile __near __bitf_T *)0x436)->no3)
#define TKBPAHSF20     (((volatile __near __bitf_T *)0x436)->no4)
#define TKBPAFSF20     (((volatile __near __bitf_T *)0x436)->no5)
#define TKBPAHSF21     (((volatile __near __bitf_T *)0x436)->no6)
#define TKBPAFSF21     (((volatile __near __bitf_T *)0x436)->no7)
#define TKBPACTL22     (*(volatile __near unsigned char  *)0x437)
#define TKBPACTL22_bit (*(volatile __near __bitf_T *)0x437)
#define TKBPACE20      (((volatile __near __bitf_T *)0x437)->no0)
#define TKBPACE21      (((volatile __near __bitf_T *)0x437)->no1)
#define TKBPACTL23     (*(volatile __near unsigned char  *)0x438)
#define TKBPACTL24     (*(volatile __near unsigned char  *)0x439)
#define TKBPAPLS20     (*(volatile __near unsigned short *)0x43A)
#define TKBPAPLS21     (*(volatile __near unsigned short *)0x43C)
#define TKBPAPLS20L    (*(volatile __near unsigned char  *)0x43E)
#define TKBPAPLS21L    (*(volatile __near unsigned char  *)0x43F)
#define CWDW0L         (*(volatile __near unsigned short *)0x440)
#define CWDW0H         (*(volatile __near unsigned short *)0x442)
#define CWDW1L         (*(volatile __near unsigned short *)0x444)
#define CWDW1H         (*(volatile __near unsigned short *)0x446)
#define CWDW2L         (*(volatile __near unsigned short *)0x448)
#define CWDW2H         (*(volatile __near unsigned short *)0x44A)
#define CWDW3L         (*(volatile __near unsigned short *)0x44C)
#define CWDW3H         (*(volatile __near unsigned short *)0x44E)
#define CWDW4L         (*(volatile __near unsigned short *)0x450)
#define CWDW4H         (*(volatile __near unsigned short *)0x452)
#define CWDW5L         (*(volatile __near unsigned short *)0x454)
#define CWDW5H         (*(volatile __near unsigned short *)0x456)
#define CWDW6L         (*(volatile __near unsigned short *)0x458)
#define CWDW6H         (*(volatile __near unsigned short *)0x45A)
#define CWDW7L         (*(volatile __near unsigned short *)0x45C)
#define CWDW7H         (*(volatile __near unsigned short *)0x45E)
#define FLSIVC0        (*(volatile __near unsigned short *)0x480)
#define FLSIVC1        (*(volatile __near unsigned short *)0x482)
#define GFLASH0        (*(volatile __near unsigned short *)0x488)
#define GFLASH1        (*(volatile __near unsigned short *)0x48A)
#define GFLASH2        (*(volatile __near unsigned short *)0x48C)
#define GIAWCTL        (*(volatile __near unsigned short *)0x48E)
#define TKBTCTL0       (*(volatile __near unsigned char  *)0x490)
#define TKBTCMP0       (*(volatile __near unsigned char  *)0x491)
#define TKBTCTL1       (*(volatile __near unsigned char  *)0x492)
#define TKBTCMP1       (*(volatile __near unsigned char  *)0x493)
#define TKBTCTL2       (*(volatile __near unsigned char  *)0x494)
#define TKBTCMP2       (*(volatile __near unsigned char  *)0x495)
#define TRDTCTL        (*(volatile __near unsigned char  *)0x498)
#define TRDTCMP        (*(volatile __near unsigned char  *)0x499)
#define WIND           (*(volatile __near unsigned short *)0x4A0)
#define ADBSEL         (*(volatile __near unsigned short *)0x4B0)
#define RPECTL2        (*(volatile __near unsigned char  *)0x4B2)
#define RPECTL2_bit    (*(volatile __near __bitf_T *)0x4B2)
#define FAARPEF        (((volatile __near __bitf_T *)0x4B2)->no0)
#define FAARPEREN      (((volatile __near __bitf_T *)0x4B2)->no7)
#define FAADUC         (*(volatile __near unsigned char  *)0x4B3)
#define FAADCL         (*(volatile __near unsigned short *)0x4B4)
#define FAADCH         (*(volatile __near unsigned short *)0x4B6)
#define FAADAL         (*(volatile __near unsigned short *)0x4B8)
#define FAADAH         (*(volatile __near unsigned short *)0x4BA)
#define FAADBL         (*(volatile __near unsigned short *)0x4BC)
#define FAADBH         (*(volatile __near unsigned short *)0x4BE)
#define BTVTHR1        (*(volatile __near unsigned short *)0x4C0)
#define BTVTHR2        (*(volatile __near unsigned short *)0x4C2)
#define BTVTHR3        (*(volatile __near unsigned short *)0x4C4)
#define BTVTHR4        (*(volatile __near unsigned short *)0x4C6)
#define COLTHR1        (*(volatile __near unsigned short *)0x4C8)
#define COLTHR2        (*(volatile __near unsigned short *)0x4CA)
#define COLTHR3        (*(volatile __near unsigned short *)0x4CC)
#define COLTHR4        (*(volatile __near unsigned short *)0x4CE)
#define COLTHR5        (*(volatile __near unsigned short *)0x4D0)
#define CNFR1          (*(volatile __near unsigned short *)0x4D2)
#define CNFR2          (*(volatile __near unsigned short *)0x4D4)
#define TXWR1          (*(volatile __near unsigned short *)0x4D6)
#define RXWR1          (*(volatile __near unsigned short *)0x4D8)
#define TDR1H          (*(volatile __near unsigned short *)0x4DE)
#define TDR1L          (*(volatile __near unsigned short *)0x4E0)
#define TRSTR1         (*(volatile __near unsigned short *)0x4E2)
#define FTDC0          (*(volatile __near unsigned short *)0x4E4)
#define CTR1           (*(volatile __near unsigned short *)0x4E6)
#define TXDCTR1        (*(volatile __near unsigned short *)0x4E8)
#define RDR1H          (*(volatile __near unsigned short *)0x4EE)
#define RDR1L          (*(volatile __near unsigned short *)0x4F0)
#define STR1           (*(volatile __near unsigned short *)0x4F2)
#define STR2           (*(volatile __near unsigned short *)0x4F4)
#define COLR1          (*(volatile __near unsigned short *)0x4F6)
#define FECR1          (*(volatile __near unsigned short *)0x4FA)
#define SWRR1          (*(volatile __near unsigned short *)0x4FC)
#define TRJ0           (*(volatile __near unsigned short *)0x500)
#define TRNGSDR        (*(volatile __near unsigned char  *)0x540)
#define TRNGSCR0       (*(volatile __near unsigned char  *)0x542)
#define TRNGSCR0_bit   (*(volatile __near __bitf_T *)0x542)
#define TRNGST         (((volatile __near __bitf_T *)0x542)->no2)
#define TRNGEN         (((volatile __near __bitf_T *)0x542)->no3)
#define TRNGRDY        (((volatile __near __bitf_T *)0x542)->no7)
#define A0L            (*(volatile __near unsigned short *)0x600)
#define A0H            (*(volatile __near unsigned short *)0x602)
#define M0L            (*(volatile __near unsigned short *)0x604)
#define TMCMP0L        (*(volatile __near unsigned short *)0x604)
#define M0H            (*(volatile __near unsigned short *)0x606)
#define TMCMP0H        (*(volatile __near unsigned short *)0x606)
#define TMCMP1L        (*(volatile __near unsigned short *)0x608)
#define M1L            (*(volatile __near unsigned short *)0x608)
#define M1H            (*(volatile __near unsigned short *)0x60A)
#define TMCMP1H        (*(volatile __near unsigned short *)0x60A)
#define L0L            (*(volatile __near unsigned short *)0x60C)
#define TMCMP2L        (*(volatile __near unsigned short *)0x60C)
#define L0H            (*(volatile __near unsigned short *)0x60E)
#define TMCMP2H        (*(volatile __near unsigned short *)0x60E)
#define TMCMP3L        (*(volatile __near unsigned short *)0x610)
#define L1L            (*(volatile __near unsigned short *)0x610)
#define L1H            (*(volatile __near unsigned short *)0x612)
#define TMCMP3H        (*(volatile __near unsigned short *)0x612)
#define R0L            (*(volatile __near unsigned short *)0x614)
#define TMCMP4L        (*(volatile __near unsigned short *)0x614)
#define R0H            (*(volatile __near unsigned short *)0x616)
#define TMCMP4H        (*(volatile __near unsigned short *)0x616)
#define TMCMP5L        (*(volatile __near unsigned short *)0x618)
#define TMCMP5H        (*(volatile __near unsigned short *)0x61A)
#define DP0            (*(volatile __near unsigned short *)0x61A)
#define TMMSK0L        (*(volatile __near unsigned short *)0x61C)
#define DP1            (*(volatile __near unsigned short *)0x61E)
#define TMMSK0H        (*(volatile __near unsigned short *)0x61E)
#define TMMSK1L        (*(volatile __near unsigned short *)0x620)
#define TMMSK1H        (*(volatile __near unsigned short *)0x622)
#define DRP0           (*(volatile __near unsigned short *)0x622)
#define TMMSK2L        (*(volatile __near unsigned short *)0x624)
#define TMMSK2H        (*(volatile __near unsigned short *)0x626)
#define TMMSK3L        (*(volatile __near unsigned short *)0x628)
#define TMMSK3H        (*(volatile __near unsigned short *)0x62A)
#define FAACNT         (*(volatile __near unsigned short *)0x62A)
#define TMMSK4L        (*(volatile __near unsigned short *)0x62C)
#define TMMSK4H        (*(volatile __near unsigned short *)0x62E)
#define PG0            (*(volatile __near unsigned short *)0x62E)
#define TMMSK5L        (*(volatile __near unsigned short *)0x630)
#define TMMSK5H        (*(volatile __near unsigned short *)0x632)
#define FCNTL          (*(volatile __near unsigned short *)0x634)
#define FCNTH          (*(volatile __near unsigned short *)0x636)
#define FAAFLG         (*(volatile __near unsigned short *)0x636)
#define FCCNT          (*(volatile __near unsigned short *)0x638)
#define IV0L           (*(volatile __near unsigned short *)0x648)
#define IV0H           (*(volatile __near unsigned short *)0x64A)
#define IV1L           (*(volatile __near unsigned short *)0x64C)
#define IV1H           (*(volatile __near unsigned short *)0x64E)
#define IV2L           (*(volatile __near unsigned short *)0x650)
#define IV2H           (*(volatile __near unsigned short *)0x652)
#define IV3L           (*(volatile __near unsigned short *)0x654)
#define IV3H           (*(volatile __near unsigned short *)0x656)
#define IV4L           (*(volatile __near unsigned short *)0x658)
#define IV4H           (*(volatile __near unsigned short *)0x65A)
#define IV5L           (*(volatile __near unsigned short *)0x65C)
#define IV5H           (*(volatile __near unsigned short *)0x65E)
#define IV6L           (*(volatile __near unsigned short *)0x660)
#define IV6H           (*(volatile __near unsigned short *)0x662)
#define IV7L           (*(volatile __near unsigned short *)0x664)
#define IV7H           (*(volatile __near unsigned short *)0x666)
#define IV8L           (*(volatile __near unsigned short *)0x668)
#define IV8H           (*(volatile __near unsigned short *)0x66A)
#define IV9L           (*(volatile __near unsigned short *)0x66C)
#define IV9H           (*(volatile __near unsigned short *)0x66E)
#define DSYSC          (*(volatile __near unsigned short *)0x66E)
#define IV10L          (*(volatile __near unsigned short *)0x670)
#define IV10H          (*(volatile __near unsigned short *)0x672)
#define IV11L          (*(volatile __near unsigned short *)0x674)
#define IV11H          (*(volatile __near unsigned short *)0x676)
#define IV12L          (*(volatile __near unsigned short *)0x678)
#define IV12H          (*(volatile __near unsigned short *)0x67A)
#define IV13L          (*(volatile __near unsigned short *)0x67C)
#define IV13H          (*(volatile __near unsigned short *)0x67E)
#define IV14L          (*(volatile __near unsigned short *)0x680)
#define SP0            (*(volatile __near unsigned short *)0x682)
#define IV14H          (*(volatile __near unsigned short *)0x682)
#define IV15L          (*(volatile __near unsigned short *)0x684)
#define IV15H          (*(volatile __near unsigned short *)0x686)
#define IEVSC0L        (*(volatile __near unsigned short *)0x6A0)
#define IEVSC0H        (*(volatile __near unsigned short *)0x6A2)
#define IEVSC1         (*(volatile __near unsigned short *)0x6A4)
#define TKBCR00        (*(volatile __near unsigned short *)0x740)
#define TKBCR01        (*(volatile __near unsigned short *)0x742)
#define TKBCR02        (*(volatile __near unsigned short *)0x744)
#define TKBCR03        (*(volatile __near unsigned short *)0x746)
#define TKBTGCR0       (*(volatile __near unsigned short *)0x748)
#define TKBSIR00       (*(volatile __near unsigned short *)0x74A)
#define TKBSIR01       (*(volatile __near unsigned short *)0x74C)
#define TKBDNR00       (*(volatile __near unsigned char  *)0x74E)
#define TKBSSR00       (*(volatile __near unsigned char  *)0x74F)
#define TKBDNR01       (*(volatile __near unsigned char  *)0x750)
#define TKBSSR01       (*(volatile __near unsigned char  *)0x751)
#define TKBTRG0        (*(volatile __near unsigned char  *)0x752)
#define TKBTRG0_bit    (*(volatile __near __bitf_T *)0x752)
#define TKBRDT0        (((volatile __near __bitf_T *)0x752)->no0)
#define TKBFLG0        (*(volatile __near unsigned char  *)0x753)
#define TKBFLG0_bit    (*(volatile __near __bitf_T *)0x753)
#define TKBRSF0        (((volatile __near __bitf_T *)0x753)->no0)
#define TKBMFF0        (((volatile __near __bitf_T *)0x753)->no1)
#define TKBIEF0        (((volatile __near __bitf_T *)0x753)->no2)
#define TKBIRF0        (((volatile __near __bitf_T *)0x753)->no3)
#define TKBSEF00       (((volatile __near __bitf_T *)0x753)->no4)
#define TKBSEF01       (((volatile __near __bitf_T *)0x753)->no5)
#define TKBSSF00       (((volatile __near __bitf_T *)0x753)->no6)
#define TKBSSF01       (((volatile __near __bitf_T *)0x753)->no7)
#define TKBCRLD00      (*(volatile __near unsigned short *)0x754)
#define TKBCRLD01      (*(volatile __near unsigned short *)0x756)
#define TKBCNT0        (*(volatile __near unsigned short *)0x760)
#define TKBCTL00       (*(volatile __near unsigned short *)0x762)
#define TKBMFR0        (*(volatile __near unsigned short *)0x764)
#define TKBIOC00       (*(volatile __near unsigned char  *)0x766)
#define TKBIOC00_bit   (*(volatile __near __bitf_T *)0x766)
#define TKBTOD00       (((volatile __near __bitf_T *)0x766)->no0)
#define TKBTOD01       (((volatile __near __bitf_T *)0x766)->no1)
#define TKBTOL00       (((volatile __near __bitf_T *)0x766)->no2)
#define TKBTOL01       (((volatile __near __bitf_T *)0x766)->no3)
#define TKBCLR0        (*(volatile __near unsigned char  *)0x767)
#define TKBCLR0_bit    (*(volatile __near __bitf_T *)0x767)
#define TKBCLMF0       (((volatile __near __bitf_T *)0x767)->no1)
#define TKBCLIE0       (((volatile __near __bitf_T *)0x767)->no2)
#define TKBCLIR0       (((volatile __near __bitf_T *)0x767)->no3)
#define TKBCLSE00      (((volatile __near __bitf_T *)0x767)->no4)
#define TKBCLSE01      (((volatile __near __bitf_T *)0x767)->no5)
#define TKBIOC01       (*(volatile __near unsigned char  *)0x768)
#define TKBIOC01_bit   (*(volatile __near __bitf_T *)0x768)
#define TKBTOE00       (((volatile __near __bitf_T *)0x768)->no0)
#define TKBTOE01       (((volatile __near __bitf_T *)0x768)->no1)
#define TKBCTL01       (*(volatile __near unsigned char  *)0x769)
#define TKBCTL01_bit   (*(volatile __near __bitf_T *)0x769)
#define TKBCE0         (((volatile __near __bitf_T *)0x769)->no7)
#define TKBCTL02       (*(volatile __near unsigned short *)0x76A)
#define TKBPACTL00     (*(volatile __near unsigned short *)0x770)
#define TKBPACTL01     (*(volatile __near unsigned short *)0x772)
#define TKBPAHFS0      (*(volatile __near unsigned char  *)0x774)
#define TKBPAHFS0_bit  (*(volatile __near __bitf_T *)0x774)
#define TKBPAHTS00     (((volatile __near __bitf_T *)0x774)->no0)
#define TKBPAHTS01     (((volatile __near __bitf_T *)0x774)->no1)
#define TKBPAHFT0      (*(volatile __near unsigned char  *)0x775)
#define TKBPAHFT0_bit  (*(volatile __near __bitf_T *)0x775)
#define TKBPAHTT00     (((volatile __near __bitf_T *)0x775)->no0)
#define TKBPAHTT01     (((volatile __near __bitf_T *)0x775)->no1)
#define TKBPAFLG0      (*(volatile __near unsigned char  *)0x776)
#define TKBPAFLG0_bit  (*(volatile __near __bitf_T *)0x776)
#define TKBPAHIF00     (((volatile __near __bitf_T *)0x776)->no0)
#define TKBPAFIF00     (((volatile __near __bitf_T *)0x776)->no1)
#define TKBPAHIF01     (((volatile __near __bitf_T *)0x776)->no2)
#define TKBPAFIF01     (((volatile __near __bitf_T *)0x776)->no3)
#define TKBPAHSF00     (((volatile __near __bitf_T *)0x776)->no4)
#define TKBPAFSF00     (((volatile __near __bitf_T *)0x776)->no5)
#define TKBPAHSF01     (((volatile __near __bitf_T *)0x776)->no6)
#define TKBPAFSF01     (((volatile __near __bitf_T *)0x776)->no7)
#define TKBPACTL02     (*(volatile __near unsigned char  *)0x777)
#define TKBPACTL02_bit (*(volatile __near __bitf_T *)0x777)
#define TKBPACE00      (((volatile __near __bitf_T *)0x777)->no0)
#define TKBPACE01      (((volatile __near __bitf_T *)0x777)->no1)
#define TKBPACTL03     (*(volatile __near unsigned char  *)0x778)
#define TKBPACTL04     (*(volatile __near unsigned char  *)0x779)
#define TKBPAPLS00     (*(volatile __near unsigned short *)0x77A)
#define TKBPAPLS01     (*(volatile __near unsigned short *)0x77C)
#define TKBPAPLS00L    (*(volatile __near unsigned char  *)0x77E)
#define TKBPAPLS01L    (*(volatile __near unsigned char  *)0x77F)
#define TKBCR10        (*(volatile __near unsigned short *)0x780)
#define TKBCR11        (*(volatile __near unsigned short *)0x782)
#define TKBCR12        (*(volatile __near unsigned short *)0x784)
#define TKBCR13        (*(volatile __near unsigned short *)0x786)
#define TKBTGCR1       (*(volatile __near unsigned short *)0x788)
#define TKBSIR10       (*(volatile __near unsigned short *)0x78A)
#define TKBSIR11       (*(volatile __near unsigned short *)0x78C)
#define TKBDNR10       (*(volatile __near unsigned char  *)0x78E)
#define TKBSSR10       (*(volatile __near unsigned char  *)0x78F)
#define TKBDNR11       (*(volatile __near unsigned char  *)0x790)
#define TKBSSR11       (*(volatile __near unsigned char  *)0x791)
#define TKBTRG1        (*(volatile __near unsigned char  *)0x792)
#define TKBTRG1_bit    (*(volatile __near __bitf_T *)0x792)
#define TKBRDT1        (((volatile __near __bitf_T *)0x792)->no0)
#define TKBFLG1        (*(volatile __near unsigned char  *)0x793)
#define TKBFLG1_bit    (*(volatile __near __bitf_T *)0x793)
#define TKBRSF1        (((volatile __near __bitf_T *)0x793)->no0)
#define TKBMFF1        (((volatile __near __bitf_T *)0x793)->no1)
#define TKBIEF1        (((volatile __near __bitf_T *)0x793)->no2)
#define TKBIRF1        (((volatile __near __bitf_T *)0x793)->no3)
#define TKBSEF10       (((volatile __near __bitf_T *)0x793)->no4)
#define TKBSEF11       (((volatile __near __bitf_T *)0x793)->no5)
#define TKBSSF10       (((volatile __near __bitf_T *)0x793)->no6)
#define TKBSSF11       (((volatile __near __bitf_T *)0x793)->no7)
#define TKBCRLD10      (*(volatile __near unsigned short *)0x794)
#define TKBCRLD11      (*(volatile __near unsigned short *)0x796)
#define TKBCNT1        (*(volatile __near unsigned short *)0x7A0)
#define TKBCTL10       (*(volatile __near unsigned short *)0x7A2)
#define TKBMFR1        (*(volatile __near unsigned short *)0x7A4)
#define TKBIOC10       (*(volatile __near unsigned char  *)0x7A6)
#define TKBIOC10_bit   (*(volatile __near __bitf_T *)0x7A6)
#define TKBTOD10       (((volatile __near __bitf_T *)0x7A6)->no0)
#define TKBTOD11       (((volatile __near __bitf_T *)0x7A6)->no1)
#define TKBTOL10       (((volatile __near __bitf_T *)0x7A6)->no2)
#define TKBTOL11       (((volatile __near __bitf_T *)0x7A6)->no3)
#define TKBCLR1        (*(volatile __near unsigned char  *)0x7A7)
#define TKBCLR1_bit    (*(volatile __near __bitf_T *)0x7A7)
#define TKBCLMF1       (((volatile __near __bitf_T *)0x7A7)->no1)
#define TKBCLIE1       (((volatile __near __bitf_T *)0x7A7)->no2)
#define TKBCLIR1       (((volatile __near __bitf_T *)0x7A7)->no3)
#define TKBCLSE10      (((volatile __near __bitf_T *)0x7A7)->no4)
#define TKBCLSE11      (((volatile __near __bitf_T *)0x7A7)->no5)
#define TKBIOC11       (*(volatile __near unsigned char  *)0x7A8)
#define TKBIOC11_bit   (*(volatile __near __bitf_T *)0x7A8)
#define TKBTOE10       (((volatile __near __bitf_T *)0x7A8)->no0)
#define TKBTOE11       (((volatile __near __bitf_T *)0x7A8)->no1)
#define TKBCTL11       (*(volatile __near unsigned char  *)0x7A9)
#define TKBCTL11_bit   (*(volatile __near __bitf_T *)0x7A9)
#define TKBCE1         (((volatile __near __bitf_T *)0x7A9)->no7)
#define TKBCTL12       (*(volatile __near unsigned short *)0x7AA)
#define TKBPACTL10     (*(volatile __near unsigned short *)0x7B0)
#define TKBPACTL11     (*(volatile __near unsigned short *)0x7B2)
#define TKBPAHFS1      (*(volatile __near unsigned char  *)0x7B4)
#define TKBPAHFS1_bit  (*(volatile __near __bitf_T *)0x7B4)
#define TKBPAHTS10     (((volatile __near __bitf_T *)0x7B4)->no0)
#define TKBPAHTS11     (((volatile __near __bitf_T *)0x7B4)->no1)
#define TKBPAHFT1      (*(volatile __near unsigned char  *)0x7B5)
#define TKBPAHFT1_bit  (*(volatile __near __bitf_T *)0x7B5)
#define TKBPAHTT10     (((volatile __near __bitf_T *)0x7B5)->no0)
#define TKBPAHTT11     (((volatile __near __bitf_T *)0x7B5)->no1)
#define TKBPAFLG1      (*(volatile __near unsigned char  *)0x7B6)
#define TKBPAFLG1_bit  (*(volatile __near __bitf_T *)0x7B6)
#define TKBPAHIF10     (((volatile __near __bitf_T *)0x7B6)->no0)
#define TKBPAFIF10     (((volatile __near __bitf_T *)0x7B6)->no1)
#define TKBPAHIF11     (((volatile __near __bitf_T *)0x7B6)->no2)
#define TKBPAFIF11     (((volatile __near __bitf_T *)0x7B6)->no3)
#define TKBPAHSF10     (((volatile __near __bitf_T *)0x7B6)->no4)
#define TKBPAFSF10     (((volatile __near __bitf_T *)0x7B6)->no5)
#define TKBPAHSF11     (((volatile __near __bitf_T *)0x7B6)->no6)
#define TKBPAFSF11     (((volatile __near __bitf_T *)0x7B6)->no7)
#define TKBPACTL12     (*(volatile __near unsigned char  *)0x7B7)
#define TKBPACTL12_bit (*(volatile __near __bitf_T *)0x7B7)
#define TKBPACE10      (((volatile __near __bitf_T *)0x7B7)->no0)
#define TKBPACE11      (((volatile __near __bitf_T *)0x7B7)->no1)
#define TKBPACTL13     (*(volatile __near unsigned char  *)0x7B8)
#define TKBPACTL14     (*(volatile __near unsigned char  *)0x7B9)
#define TKBPAPLS10     (*(volatile __near unsigned short *)0x7BA)
#define TKBPAPLS11     (*(volatile __near unsigned short *)0x7BC)
#define TKBPAPLS10L    (*(volatile __near unsigned char  *)0x7BE)
#define TKBPAPLS11L    (*(volatile __near unsigned char  *)0x7BF)
#define P0             (*(volatile __near unsigned char  *)0xFF00)
#define P0_bit         (*(volatile __near __bitf_T *)0xFF00)
#define P1             (*(volatile __near unsigned char  *)0xFF01)
#define P1_bit         (*(volatile __near __bitf_T *)0xFF01)
#define P2             (*(volatile __near unsigned char  *)0xFF02)
#define P2_bit         (*(volatile __near __bitf_T *)0xFF02)
#define P3             (*(volatile __near unsigned char  *)0xFF03)
#define P3_bit         (*(volatile __near __bitf_T *)0xFF03)
#define P4             (*(volatile __near unsigned char  *)0xFF04)
#define P4_bit         (*(volatile __near __bitf_T *)0xFF04)
#define P5             (*(volatile __near unsigned char  *)0xFF05)
#define P5_bit         (*(volatile __near __bitf_T *)0xFF05)
#define P6             (*(volatile __near unsigned char  *)0xFF06)
#define P6_bit         (*(volatile __near __bitf_T *)0xFF06)
#define P7             (*(volatile __near unsigned char  *)0xFF07)
#define P7_bit         (*(volatile __near __bitf_T *)0xFF07)
#define P12            (*(volatile __near unsigned char  *)0xFF0C)
#define P12_bit        (*(volatile __near __bitf_T *)0xFF0C)
#define P13            (*(volatile __near unsigned char  *)0xFF0D)
#define P13_bit        (*(volatile __near __bitf_T *)0xFF0D)
#define P14            (*(volatile __near unsigned char  *)0xFF0E)
#define P14_bit        (*(volatile __near __bitf_T *)0xFF0E)
#define SDR00          (*(volatile __near unsigned short *)0xFF10)
#define TXD0           (*(volatile __near unsigned char  *)0xFF10)
#define SIO00          (*(volatile __near unsigned char  *)0xFF10)
#define SDR01          (*(volatile __near unsigned short *)0xFF12)
#define RXD0           (*(volatile __near unsigned char  *)0xFF12)
#define SIO01          (*(volatile __near unsigned char  *)0xFF12)
#define TDR00          (*(volatile __near unsigned short *)0xFF18)
#define TDR01          (*(volatile __near unsigned short *)0xFF1A)
#define TDR01L         (*(volatile __near unsigned char  *)0xFF1A)
#define TDR01H         (*(volatile __near unsigned char  *)0xFF1B)
#define ADCR           (*(volatile __near unsigned short *)0xFF1E)
#define ADCRH          (*(volatile __near unsigned char  *)0xFF1F)
#define PM0            (*(volatile __near unsigned char  *)0xFF20)
#define PM0_bit        (*(volatile __near __bitf_T *)0xFF20)
#define PM1            (*(volatile __near unsigned char  *)0xFF21)
#define PM1_bit        (*(volatile __near __bitf_T *)0xFF21)
#define PM2            (*(volatile __near unsigned char  *)0xFF22)
#define PM2_bit        (*(volatile __near __bitf_T *)0xFF22)
#define PM3            (*(volatile __near unsigned char  *)0xFF23)
#define PM3_bit        (*(volatile __near __bitf_T *)0xFF23)
#define PM4            (*(volatile __near unsigned char  *)0xFF24)
#define PM4_bit        (*(volatile __near __bitf_T *)0xFF24)
#define PM5            (*(volatile __near unsigned char  *)0xFF25)
#define PM5_bit        (*(volatile __near __bitf_T *)0xFF25)
#define PM6            (*(volatile __near unsigned char  *)0xFF26)
#define PM6_bit        (*(volatile __near __bitf_T *)0xFF26)
#define PM7            (*(volatile __near unsigned char  *)0xFF27)
#define PM7_bit        (*(volatile __near __bitf_T *)0xFF27)
#define PM12           (*(volatile __near unsigned char  *)0xFF2C)
#define PM12_bit       (*(volatile __near __bitf_T *)0xFF2C)
#define PM14           (*(volatile __near unsigned char  *)0xFF2E)
#define PM14_bit       (*(volatile __near __bitf_T *)0xFF2E)
#define ADM0           (*(volatile __near unsigned char  *)0xFF30)
#define ADM0_bit       (*(volatile __near __bitf_T *)0xFF30)
#define ADCE           (((volatile __near __bitf_T *)0xFF30)->no0)
#define ADCS           (((volatile __near __bitf_T *)0xFF30)->no7)
#define ADS            (*(volatile __near unsigned char  *)0xFF31)
#define ADS_bit        (*(volatile __near __bitf_T *)0xFF31)
#define ADM1           (*(volatile __near unsigned char  *)0xFF32)
#define ADM1_bit       (*(volatile __near __bitf_T *)0xFF32)
#define KRCTL          (*(volatile __near unsigned char  *)0xFF34)
#define KRCTL_bit      (*(volatile __near __bitf_T *)0xFF34)
#define KREG           (((volatile __near __bitf_T *)0xFF34)->no0)
#define KRMD           (((volatile __near __bitf_T *)0xFF34)->no7)
#define KRF            (*(volatile __near unsigned char  *)0xFF35)
#define KRM0           (*(volatile __near unsigned char  *)0xFF37)
#define KRM0_bit       (*(volatile __near __bitf_T *)0xFF37)
#define EGP0           (*(volatile __near unsigned char  *)0xFF38)
#define EGP0_bit       (*(volatile __near __bitf_T *)0xFF38)
#define EGN0           (*(volatile __near unsigned char  *)0xFF39)
#define EGN0_bit       (*(volatile __near __bitf_T *)0xFF39)
#define EGP1           (*(volatile __near unsigned char  *)0xFF3A)
#define EGP1_bit       (*(volatile __near __bitf_T *)0xFF3A)
#define EGN1           (*(volatile __near unsigned char  *)0xFF3B)
#define EGN1_bit       (*(volatile __near __bitf_T *)0xFF3B)
#define SDR02          (*(volatile __near unsigned short *)0xFF44)
#define SIO10          (*(volatile __near unsigned char  *)0xFF44)
#define TXD1           (*(volatile __near unsigned char  *)0xFF44)
#define SDR03          (*(volatile __near unsigned short *)0xFF46)
#define RXD1           (*(volatile __near unsigned char  *)0xFF46)
#define SIO11          (*(volatile __near unsigned char  *)0xFF46)
#define SDR10          (*(volatile __near unsigned short *)0xFF48)
#define SIO20          (*(volatile __near unsigned char  *)0xFF48)
#define TXD2           (*(volatile __near unsigned char  *)0xFF48)
#define SDR11          (*(volatile __near unsigned short *)0xFF4A)
#define SIO21          (*(volatile __near unsigned char  *)0xFF4A)
#define RXD2           (*(volatile __near unsigned char  *)0xFF4A)
#define IICA0          (*(volatile __near unsigned char  *)0xFF50)
#define IICS0          (*(volatile __near unsigned char  *)0xFF51)
#define IICS0_bit      (*(volatile __near __bitf_T *)0xFF51)
#define SPD0           (((volatile __near __bitf_T *)0xFF51)->no0)
#define STD0           (((volatile __near __bitf_T *)0xFF51)->no1)
#define ACKD0          (((volatile __near __bitf_T *)0xFF51)->no2)
#define TRC0           (((volatile __near __bitf_T *)0xFF51)->no3)
#define COI0           (((volatile __near __bitf_T *)0xFF51)->no4)
#define EXC0           (((volatile __near __bitf_T *)0xFF51)->no5)
#define ALD0           (((volatile __near __bitf_T *)0xFF51)->no6)
#define MSTS0          (((volatile __near __bitf_T *)0xFF51)->no7)
#define IICF0          (*(volatile __near unsigned char  *)0xFF52)
#define IICF0_bit      (*(volatile __near __bitf_T *)0xFF52)
#define IICRSV0        (((volatile __near __bitf_T *)0xFF52)->no0)
#define STCEN0         (((volatile __near __bitf_T *)0xFF52)->no1)
#define IICBSY0        (((volatile __near __bitf_T *)0xFF52)->no6)
#define STCF0          (((volatile __near __bitf_T *)0xFF52)->no7)
#define TRGGRC         (*(volatile __near unsigned short *)0xFF60)
#define TRGGRD         (*(volatile __near unsigned short *)0xFF62)
#define TDR02          (*(volatile __near unsigned short *)0xFF64)
#define TDR03          (*(volatile __near unsigned short *)0xFF66)
#define TDR03L         (*(volatile __near unsigned char  *)0xFF66)
#define TDR03H         (*(volatile __near unsigned char  *)0xFF67)
#define TRDGRC0        (*(volatile __near unsigned short *)0xFF6C)
#define TRDGRD0        (*(volatile __near unsigned short *)0xFF6E)
#define TRDGRC1        (*(volatile __near unsigned short *)0xFF70)
#define TRDGRD1        (*(volatile __near unsigned short *)0xFF72)
#define TRDCMPD0       (*(volatile __near unsigned short *)0xFF74)
#define TRDCMPC1       (*(volatile __near unsigned short *)0xFF76)
#define TRDCMPD1       (*(volatile __near unsigned short *)0xFF78)
#define TRDADTB0       (*(volatile __near unsigned short *)0xFF7A)
#define TRDCMPF1       (*(volatile __near unsigned short *)0xFF7A)
#define TRDADTB1       (*(volatile __near unsigned short *)0xFF7C)
#define TRDRDT         (*(volatile __near unsigned short *)0xFF7E)
#define TRDRDT0        (*(volatile __near unsigned char  *)0xFF7E)
#define TRDRDT1        (*(volatile __near unsigned char  *)0xFF7F)
#define CMC            (*(volatile __near unsigned char  *)0xFFA0)
#define CSC            (*(volatile __near unsigned char  *)0xFFA1)
#define CSC_bit        (*(volatile __near __bitf_T *)0xFFA1)
#define HIOSTOP        (((volatile __near __bitf_T *)0xFFA1)->no0)
#define MIOEN          (((volatile __near __bitf_T *)0xFFA1)->no1)
#define XTSTOP         (((volatile __near __bitf_T *)0xFFA1)->no6)
#define MSTOP          (((volatile __near __bitf_T *)0xFFA1)->no7)
#define OSTC           (*(volatile __near unsigned char  *)0xFFA2)
#define OSTC_bit       (*(volatile __near __bitf_T *)0xFFA2)
#define OSTS           (*(volatile __near unsigned char  *)0xFFA3)
#define CKC            (*(volatile __near unsigned char  *)0xFFA4)
#define CKC_bit        (*(volatile __near __bitf_T *)0xFFA4)
#define MCM1           (((volatile __near __bitf_T *)0xFFA4)->no0)
#define MCS1           (((volatile __near __bitf_T *)0xFFA4)->no1)
#define MCM0           (((volatile __near __bitf_T *)0xFFA4)->no4)
#define MCS            (((volatile __near __bitf_T *)0xFFA4)->no5)
#define CSS            (((volatile __near __bitf_T *)0xFFA4)->no6)
#define CLS            (((volatile __near __bitf_T *)0xFFA4)->no7)
#define CKS0           (*(volatile __near unsigned char  *)0xFFA5)
#define CKS0_bit       (*(volatile __near __bitf_T *)0xFFA5)
#define PCLOE0         (((volatile __near __bitf_T *)0xFFA5)->no7)
#define CKS1           (*(volatile __near unsigned char  *)0xFFA6)
#define CKS1_bit       (*(volatile __near __bitf_T *)0xFFA6)
#define PCLOE1         (((volatile __near __bitf_T *)0xFFA6)->no7)
#define CKSEL          (*(volatile __near unsigned char  *)0xFFA7)
#define CKSEL_bit      (*(volatile __near __bitf_T *)0xFFA7)
#define SELLOSC        (((volatile __near __bitf_T *)0xFFA7)->no0)
#define RESF           (*(volatile __near unsigned char  *)0xFFA8)
#define LVIM           (*(volatile __near unsigned char  *)0xFFA9)
#define LVIM_bit       (*(volatile __near __bitf_T *)0xFFA9)
#define LVD0F          (((volatile __near __bitf_T *)0xFFA9)->no0)
#define LVD1F          (((volatile __near __bitf_T *)0xFFA9)->no1)
#define DLVD0F         (((volatile __near __bitf_T *)0xFFA9)->no2)
#define DLVD1F         (((volatile __near __bitf_T *)0xFFA9)->no3)
#define LVISEN         (((volatile __near __bitf_T *)0xFFA9)->no7)
#define LVIS           (*(volatile __near unsigned char  *)0xFFAA)
#define LVIS_bit       (*(volatile __near __bitf_T *)0xFFAA)
#define LVD1SEL        (((volatile __near __bitf_T *)0xFFAA)->no6)
#define LVD1EN         (((volatile __near __bitf_T *)0xFFAA)->no7)
#define WDTE           (*(volatile __near unsigned char  *)0xFFAB)
#define CRCIN          (*(volatile __near unsigned char  *)0xFFAC)
#define IF2            (*(volatile __near unsigned short *)0xFFD0)
#define IF2L           (*(volatile __near unsigned char  *)0xFFD0)
#define IF2L_bit       (*(volatile __near __bitf_T *)0xFFD0)
#define IF2H           (*(volatile __near unsigned char  *)0xFFD1)
#define IF2H_bit       (*(volatile __near __bitf_T *)0xFFD1)
#define BPDIF          (((volatile __near __bitf_T *)0xFFD0)->no0)
#define CLDIF          (((volatile __near __bitf_T *)0xFFD0)->no0)
#define TRXIF          (((volatile __near __bitf_T *)0xFFD0)->no0)
#define EDIF           (((volatile __near __bitf_T *)0xFFD0)->no0)
#define PIF20          (((volatile __near __bitf_T *)0xFFD0)->no1)
#define PIF21          (((volatile __near __bitf_T *)0xFFD0)->no2)
#define PIF6           (((volatile __near __bitf_T *)0xFFD0)->no3)
#define TMKBSTRIF10    (((volatile __near __bitf_T *)0xFFD0)->no3)
#define PIF7           (((volatile __near __bitf_T *)0xFFD0)->no4)
#define TMKBSTPIF10    (((volatile __near __bitf_T *)0xFFD0)->no4)
#define TMKBSTRIF11    (((volatile __near __bitf_T *)0xFFD0)->no5)
#define PIF8           (((volatile __near __bitf_T *)0xFFD0)->no5)
#define PIF9           (((volatile __near __bitf_T *)0xFFD0)->no6)
#define TMKBSTPIF11    (((volatile __near __bitf_T *)0xFFD0)->no6)
#define FLIF           (((volatile __near __bitf_T *)0xFFD0)->no7)
#define PIF10          (((volatile __near __bitf_T *)0xFFD1)->no0)
#define CMPIF0         (((volatile __near __bitf_T *)0xFFD1)->no0)
#define PIF11          (((volatile __near __bitf_T *)0xFFD1)->no1)
#define CMPIF1         (((volatile __near __bitf_T *)0xFFD1)->no1)
#define FAATRAPIF      (((volatile __near __bitf_T *)0xFFD1)->no2)
#define CMPIF2         (((volatile __near __bitf_T *)0xFFD1)->no3)
#define CMPIF3         (((volatile __near __bitf_T *)0xFFD1)->no4)
#define TMKBIF0        (((volatile __near __bitf_T *)0xFFD1)->no5)
#define TMKBIF1        (((volatile __near __bitf_T *)0xFFD1)->no6)
#define TMKBIF2        (((volatile __near __bitf_T *)0xFFD1)->no7)
#define IF3            (*(volatile __near unsigned short *)0xFFD2)
#define IF3L           (*(volatile __near unsigned char  *)0xFFD2)
#define IF3L_bit       (*(volatile __near __bitf_T *)0xFFD2)
#define IF3H           (*(volatile __near unsigned char  *)0xFFD3)
#define IF3H_bit       (*(volatile __near __bitf_T *)0xFFD3)
#define SDDIF          (((volatile __near __bitf_T *)0xFFD2)->no0)
#define GCRIF          (((volatile __near __bitf_T *)0xFFD2)->no0)
#define PMCIF          (((volatile __near __bitf_T *)0xFFD2)->no1)
#define FEDIF          (((volatile __near __bitf_T *)0xFFD2)->no1)
#define TMKBSTRIF00    (((volatile __near __bitf_T *)0xFFD2)->no2)
#define TMKBSTPIF00    (((volatile __near __bitf_T *)0xFFD2)->no3)
#define TMKBSTRIF01    (((volatile __near __bitf_T *)0xFFD2)->no4)
#define TMKBSTPIF01    (((volatile __near __bitf_T *)0xFFD2)->no5)
#define TMKBSTRIF20    (((volatile __near __bitf_T *)0xFFD2)->no6)
#define TMKBSTPIF20    (((volatile __near __bitf_T *)0xFFD2)->no7)
#define TMKBSTRIF21    (((volatile __near __bitf_T *)0xFFD3)->no0)
#define TMKBSTPIF21    (((volatile __near __bitf_T *)0xFFD3)->no1)
#define TIMECIF1       (((volatile __near __bitf_T *)0xFFD3)->no2)
#define TIMECIF2       (((volatile __near __bitf_T *)0xFFD3)->no3)
#define ADIF3          (((volatile __near __bitf_T *)0xFFD3)->no4)
#define MK2            (*(volatile __near unsigned short *)0xFFD4)
#define MK2L           (*(volatile __near unsigned char  *)0xFFD4)
#define MK2L_bit       (*(volatile __near __bitf_T *)0xFFD4)
#define MK2H           (*(volatile __near unsigned char  *)0xFFD5)
#define MK2H_bit       (*(volatile __near __bitf_T *)0xFFD5)
#define EDMK           (((volatile __near __bitf_T *)0xFFD4)->no0)
#define TRXMK          (((volatile __near __bitf_T *)0xFFD4)->no0)
#define BPDMK          (((volatile __near __bitf_T *)0xFFD4)->no0)
#define CLDMK          (((volatile __near __bitf_T *)0xFFD4)->no0)
#define PMK20          (((volatile __near __bitf_T *)0xFFD4)->no1)
#define PMK21          (((volatile __near __bitf_T *)0xFFD4)->no2)
#define PMK6           (((volatile __near __bitf_T *)0xFFD4)->no3)
#define TMKBSTRMK10    (((volatile __near __bitf_T *)0xFFD4)->no3)
#define PMK7           (((volatile __near __bitf_T *)0xFFD4)->no4)
#define TMKBSTPMK10    (((volatile __near __bitf_T *)0xFFD4)->no4)
#define PMK8           (((volatile __near __bitf_T *)0xFFD4)->no5)
#define TMKBSTRMK11    (((volatile __near __bitf_T *)0xFFD4)->no5)
#define TMKBSTPMK11    (((volatile __near __bitf_T *)0xFFD4)->no6)
#define PMK9           (((volatile __near __bitf_T *)0xFFD4)->no6)
#define FLMK           (((volatile __near __bitf_T *)0xFFD4)->no7)
#define PMK10          (((volatile __near __bitf_T *)0xFFD5)->no0)
#define CMPMK0         (((volatile __near __bitf_T *)0xFFD5)->no0)
#define PMK11          (((volatile __near __bitf_T *)0xFFD5)->no1)
#define CMPMK1         (((volatile __near __bitf_T *)0xFFD5)->no1)
#define FAATRAPMK      (((volatile __near __bitf_T *)0xFFD5)->no2)
#define CMPMK2         (((volatile __near __bitf_T *)0xFFD5)->no3)
#define CMPMK3         (((volatile __near __bitf_T *)0xFFD5)->no4)
#define TMKBMK0        (((volatile __near __bitf_T *)0xFFD5)->no5)
#define TMKBMK1        (((volatile __near __bitf_T *)0xFFD5)->no6)
#define TMKBMK2        (((volatile __near __bitf_T *)0xFFD5)->no7)
#define MK3            (*(volatile __near unsigned short *)0xFFD6)
#define MK3L           (*(volatile __near unsigned char  *)0xFFD6)
#define MK3L_bit       (*(volatile __near __bitf_T *)0xFFD6)
#define MK3H           (*(volatile __near unsigned char  *)0xFFD7)
#define MK3H_bit       (*(volatile __near __bitf_T *)0xFFD7)
#define GCRMK          (((volatile __near __bitf_T *)0xFFD6)->no0)
#define SDDMK          (((volatile __near __bitf_T *)0xFFD6)->no0)
#define PMCMK          (((volatile __near __bitf_T *)0xFFD6)->no1)
#define FEDMK          (((volatile __near __bitf_T *)0xFFD6)->no1)
#define TMKBSTRMK00    (((volatile __near __bitf_T *)0xFFD6)->no2)
#define TMKBSTPMK00    (((volatile __near __bitf_T *)0xFFD6)->no3)
#define TMKBSTRMK01    (((volatile __near __bitf_T *)0xFFD6)->no4)
#define TMKBSTPMK01    (((volatile __near __bitf_T *)0xFFD6)->no5)
#define TMKBSTRMK20    (((volatile __near __bitf_T *)0xFFD6)->no6)
#define TMKBSTPMK20    (((volatile __near __bitf_T *)0xFFD6)->no7)
#define TMKBSTRMK21    (((volatile __near __bitf_T *)0xFFD7)->no0)
#define TMKBSTPMK21    (((volatile __near __bitf_T *)0xFFD7)->no1)
#define TIMECMK1       (((volatile __near __bitf_T *)0xFFD7)->no2)
#define TIMECMK2       (((volatile __near __bitf_T *)0xFFD7)->no3)
#define ADMK3          (((volatile __near __bitf_T *)0xFFD7)->no4)
#define PR02           (*(volatile __near unsigned short *)0xFFD8)
#define PR02L          (*(volatile __near unsigned char  *)0xFFD8)
#define PR02L_bit      (*(volatile __near __bitf_T *)0xFFD8)
#define PR02H          (*(volatile __near unsigned char  *)0xFFD9)
#define PR02H_bit      (*(volatile __near __bitf_T *)0xFFD9)
#define EDPR0          (((volatile __near __bitf_T *)0xFFD8)->no0)
#define TRXPR0         (((volatile __near __bitf_T *)0xFFD8)->no0)
#define BPDPR0         (((volatile __near __bitf_T *)0xFFD8)->no0)
#define CLDPR0         (((volatile __near __bitf_T *)0xFFD8)->no0)
#define PPR020         (((volatile __near __bitf_T *)0xFFD8)->no1)
#define PPR021         (((volatile __near __bitf_T *)0xFFD8)->no2)
#define TMKBSTRPR010   (((volatile __near __bitf_T *)0xFFD8)->no3)
#define PPR06          (((volatile __near __bitf_T *)0xFFD8)->no3)
#define TMKBSTPPR010   (((volatile __near __bitf_T *)0xFFD8)->no4)
#define PPR07          (((volatile __near __bitf_T *)0xFFD8)->no4)
#define TMKBSTRPR011   (((volatile __near __bitf_T *)0xFFD8)->no5)
#define PPR08          (((volatile __near __bitf_T *)0xFFD8)->no5)
#define PPR09          (((volatile __near __bitf_T *)0xFFD8)->no6)
#define TMKBSTPPR011   (((volatile __near __bitf_T *)0xFFD8)->no6)
#define FLPR0          (((volatile __near __bitf_T *)0xFFD8)->no7)
#define PPR010         (((volatile __near __bitf_T *)0xFFD9)->no0)
#define CMPPR00        (((volatile __near __bitf_T *)0xFFD9)->no0)
#define PPR011         (((volatile __near __bitf_T *)0xFFD9)->no1)
#define CMPPR01        (((volatile __near __bitf_T *)0xFFD9)->no1)
#define FAATRAPPR0     (((volatile __near __bitf_T *)0xFFD9)->no2)
#define CMPPR02        (((volatile __near __bitf_T *)0xFFD9)->no3)
#define CMPPR03        (((volatile __near __bitf_T *)0xFFD9)->no4)
#define TMKBPR00       (((volatile __near __bitf_T *)0xFFD9)->no5)
#define TMKBPR01       (((volatile __near __bitf_T *)0xFFD9)->no6)
#define TMKBPR02       (((volatile __near __bitf_T *)0xFFD9)->no7)
#define PR03           (*(volatile __near unsigned short *)0xFFDA)
#define PR03L          (*(volatile __near unsigned char  *)0xFFDA)
#define PR03L_bit      (*(volatile __near __bitf_T *)0xFFDA)
#define PR03H          (*(volatile __near unsigned char  *)0xFFDB)
#define PR03H_bit      (*(volatile __near __bitf_T *)0xFFDB)
#define SDDPR0         (((volatile __near __bitf_T *)0xFFDA)->no0)
#define GCRPR0         (((volatile __near __bitf_T *)0xFFDA)->no0)
#define PMCPR0         (((volatile __near __bitf_T *)0xFFDA)->no1)
#define FEDPR0         (((volatile __near __bitf_T *)0xFFDA)->no1)
#define TMKBSTRPR000   (((volatile __near __bitf_T *)0xFFDA)->no2)
#define TMKBSTPPR000   (((volatile __near __bitf_T *)0xFFDA)->no3)
#define TMKBSTRPR001   (((volatile __near __bitf_T *)0xFFDA)->no4)
#define TMKBSTPPR001   (((volatile __near __bitf_T *)0xFFDA)->no5)
#define TMKBSTRPR020   (((volatile __near __bitf_T *)0xFFDA)->no6)
#define TMKBSTPPR020   (((volatile __near __bitf_T *)0xFFDA)->no7)
#define TMKBSTRPR021   (((volatile __near __bitf_T *)0xFFDB)->no0)
#define TMKBSTPPR021   (((volatile __near __bitf_T *)0xFFDB)->no1)
#define TIMECPR01      (((volatile __near __bitf_T *)0xFFDB)->no2)
#define TIMECPR02      (((volatile __near __bitf_T *)0xFFDB)->no3)
#define ADPR03         (((volatile __near __bitf_T *)0xFFDB)->no4)
#define PR12           (*(volatile __near unsigned short *)0xFFDC)
#define PR12L          (*(volatile __near unsigned char  *)0xFFDC)
#define PR12L_bit      (*(volatile __near __bitf_T *)0xFFDC)
#define PR12H          (*(volatile __near unsigned char  *)0xFFDD)
#define PR12H_bit      (*(volatile __near __bitf_T *)0xFFDD)
#define EDPR1          (((volatile __near __bitf_T *)0xFFDC)->no0)
#define BPDPR1         (((volatile __near __bitf_T *)0xFFDC)->no0)
#define TRXPR1         (((volatile __near __bitf_T *)0xFFDC)->no0)
#define CLDPR1         (((volatile __near __bitf_T *)0xFFDC)->no0)
#define PPR120         (((volatile __near __bitf_T *)0xFFDC)->no1)
#define PPR121         (((volatile __near __bitf_T *)0xFFDC)->no2)
#define PPR16          (((volatile __near __bitf_T *)0xFFDC)->no3)
#define TMKBSTRPR110   (((volatile __near __bitf_T *)0xFFDC)->no3)
#define PPR17          (((volatile __near __bitf_T *)0xFFDC)->no4)
#define TMKBSTPPR110   (((volatile __near __bitf_T *)0xFFDC)->no4)
#define PPR18          (((volatile __near __bitf_T *)0xFFDC)->no5)
#define TMKBSTRPR111   (((volatile __near __bitf_T *)0xFFDC)->no5)
#define PPR19          (((volatile __near __bitf_T *)0xFFDC)->no6)
#define TMKBSTPPR111   (((volatile __near __bitf_T *)0xFFDC)->no6)
#define FLPR1          (((volatile __near __bitf_T *)0xFFDC)->no7)
#define PPR110         (((volatile __near __bitf_T *)0xFFDD)->no0)
#define CMPPR10        (((volatile __near __bitf_T *)0xFFDD)->no0)
#define PPR111         (((volatile __near __bitf_T *)0xFFDD)->no1)
#define CMPPR11        (((volatile __near __bitf_T *)0xFFDD)->no1)
#define FAATRAPPR1     (((volatile __near __bitf_T *)0xFFDD)->no2)
#define CMPPR12        (((volatile __near __bitf_T *)0xFFDD)->no3)
#define CMPPR13        (((volatile __near __bitf_T *)0xFFDD)->no4)
#define TMKBPR10       (((volatile __near __bitf_T *)0xFFDD)->no5)
#define TMKBPR11       (((volatile __near __bitf_T *)0xFFDD)->no6)
#define TMKBPR12       (((volatile __near __bitf_T *)0xFFDD)->no7)
#define PR13           (*(volatile __near unsigned short *)0xFFDE)
#define PR13L          (*(volatile __near unsigned char  *)0xFFDE)
#define PR13L_bit      (*(volatile __near __bitf_T *)0xFFDE)
#define PR13H          (*(volatile __near unsigned char  *)0xFFDF)
#define PR13H_bit      (*(volatile __near __bitf_T *)0xFFDF)
#define SDDPR1         (((volatile __near __bitf_T *)0xFFDE)->no0)
#define GCRPR1         (((volatile __near __bitf_T *)0xFFDE)->no0)
#define PMCPR1         (((volatile __near __bitf_T *)0xFFDE)->no1)
#define FEDPR1         (((volatile __near __bitf_T *)0xFFDE)->no1)
#define TMKBSTRPR100   (((volatile __near __bitf_T *)0xFFDE)->no2)
#define TMKBSTPPR100   (((volatile __near __bitf_T *)0xFFDE)->no3)
#define TMKBSTRPR101   (((volatile __near __bitf_T *)0xFFDE)->no4)
#define TMKBSTPPR101   (((volatile __near __bitf_T *)0xFFDE)->no5)
#define TMKBSTRPR120   (((volatile __near __bitf_T *)0xFFDE)->no6)
#define TMKBSTPPR120   (((volatile __near __bitf_T *)0xFFDE)->no7)
#define TMKBSTRPR121   (((volatile __near __bitf_T *)0xFFDF)->no0)
#define TMKBSTPPR121   (((volatile __near __bitf_T *)0xFFDF)->no1)
#define TIMECPR11      (((volatile __near __bitf_T *)0xFFDF)->no2)
#define TIMECPR12      (((volatile __near __bitf_T *)0xFFDF)->no3)
#define ADPR13         (((volatile __near __bitf_T *)0xFFDF)->no4)
#define IF0            (*(volatile __near unsigned short *)0xFFE0)
#define IF0L           (*(volatile __near unsigned char  *)0xFFE0)
#define IF0L_bit       (*(volatile __near __bitf_T *)0xFFE0)
#define IF0H           (*(volatile __near unsigned char  *)0xFFE1)
#define IF0H_bit       (*(volatile __near __bitf_T *)0xFFE1)
#define WDTIIF         (((volatile __near __bitf_T *)0xFFE0)->no0)
#define LVIIF          (((volatile __near __bitf_T *)0xFFE0)->no1)
#define PIF0           (((volatile __near __bitf_T *)0xFFE0)->no2)
#define PIF1           (((volatile __near __bitf_T *)0xFFE0)->no3)
#define ADIF1          (((volatile __near __bitf_T *)0xFFE0)->no3)
#define PIF2           (((volatile __near __bitf_T *)0xFFE0)->no4)
#define ADIF2          (((volatile __near __bitf_T *)0xFFE0)->no4)
#define PIF3           (((volatile __near __bitf_T *)0xFFE0)->no5)
#define PIF4           (((volatile __near __bitf_T *)0xFFE0)->no6)
#define PIF5           (((volatile __near __bitf_T *)0xFFE0)->no7)
#define STIF2          (((volatile __near __bitf_T *)0xFFE1)->no0)
#define CSIIF20        (((volatile __near __bitf_T *)0xFFE1)->no0)
#define IICIF20        (((volatile __near __bitf_T *)0xFFE1)->no0)
#define SRIF2          (((volatile __near __bitf_T *)0xFFE1)->no1)
#define IICIF21        (((volatile __near __bitf_T *)0xFFE1)->no1)
#define CSIIF21        (((volatile __near __bitf_T *)0xFFE1)->no1)
#define SREIF2         (((volatile __near __bitf_T *)0xFFE1)->no2)
#define FAAEIF         (((volatile __near __bitf_T *)0xFFE1)->no3)
#define TIMECIF0       (((volatile __near __bitf_T *)0xFFE1)->no4)
#define STIF0          (((volatile __near __bitf_T *)0xFFE1)->no5)
#define IICIF00        (((volatile __near __bitf_T *)0xFFE1)->no5)
#define CSIIF00        (((volatile __near __bitf_T *)0xFFE1)->no5)
#define TMIF00         (((volatile __near __bitf_T *)0xFFE1)->no6)
#define SREIF0         (((volatile __near __bitf_T *)0xFFE1)->no7)
#define TMIF01H        (((volatile __near __bitf_T *)0xFFE1)->no7)
#define IF1            (*(volatile __near unsigned short *)0xFFE2)
#define IF1L           (*(volatile __near unsigned char  *)0xFFE2)
#define IF1L_bit       (*(volatile __near __bitf_T *)0xFFE2)
#define IF1H           (*(volatile __near unsigned char  *)0xFFE3)
#define IF1H_bit       (*(volatile __near __bitf_T *)0xFFE3)
#define STIF1          (((volatile __near __bitf_T *)0xFFE2)->no0)
#define IICIF10        (((volatile __near __bitf_T *)0xFFE2)->no0)
#define CSIIF10        (((volatile __near __bitf_T *)0xFFE2)->no0)
#define SRIF1          (((volatile __near __bitf_T *)0xFFE2)->no1)
#define CSIIF11        (((volatile __near __bitf_T *)0xFFE2)->no1)
#define IICIF11        (((volatile __near __bitf_T *)0xFFE2)->no1)
#define SREIF1         (((volatile __near __bitf_T *)0xFFE2)->no2)
#define TMIF03H        (((volatile __near __bitf_T *)0xFFE2)->no2)
#define IICAIF0        (((volatile __near __bitf_T *)0xFFE2)->no3)
#define SRIF0          (((volatile __near __bitf_T *)0xFFE2)->no4)
#define CSIIF01        (((volatile __near __bitf_T *)0xFFE2)->no4)
#define IICIF01        (((volatile __near __bitf_T *)0xFFE2)->no4)
#define TMIF01         (((volatile __near __bitf_T *)0xFFE2)->no5)
#define TMIF02         (((volatile __near __bitf_T *)0xFFE2)->no6)
#define TMIF03         (((volatile __near __bitf_T *)0xFFE2)->no7)
#define ADIF0          (((volatile __near __bitf_T *)0xFFE3)->no0)
#define RTCIF          (((volatile __near __bitf_T *)0xFFE3)->no1)
#define ITLIF          (((volatile __near __bitf_T *)0xFFE3)->no2)
#define KRIF           (((volatile __near __bitf_T *)0xFFE3)->no3)
#define TDIF           (((volatile __near __bitf_T *)0xFFE3)->no4)
#define TRJIF0         (((volatile __near __bitf_T *)0xFFE3)->no4)
#define TRDIF0         (((volatile __near __bitf_T *)0xFFE3)->no5)
#define TRDIF1         (((volatile __near __bitf_T *)0xFFE3)->no6)
#define TRGIF          (((volatile __near __bitf_T *)0xFFE3)->no7)
#define RDIF           (((volatile __near __bitf_T *)0xFFE3)->no7)
#define MK0            (*(volatile __near unsigned short *)0xFFE4)
#define MK0L           (*(volatile __near unsigned char  *)0xFFE4)
#define MK0L_bit       (*(volatile __near __bitf_T *)0xFFE4)
#define MK0H           (*(volatile __near unsigned char  *)0xFFE5)
#define MK0H_bit       (*(volatile __near __bitf_T *)0xFFE5)
#define WDTIMK         (((volatile __near __bitf_T *)0xFFE4)->no0)
#define LVIMK          (((volatile __near __bitf_T *)0xFFE4)->no1)
#define PMK0           (((volatile __near __bitf_T *)0xFFE4)->no2)
#define PMK1           (((volatile __near __bitf_T *)0xFFE4)->no3)
#define ADMK1          (((volatile __near __bitf_T *)0xFFE4)->no3)
#define ADMK2          (((volatile __near __bitf_T *)0xFFE4)->no4)
#define PMK2           (((volatile __near __bitf_T *)0xFFE4)->no4)
#define PMK3           (((volatile __near __bitf_T *)0xFFE4)->no5)
#define PMK4           (((volatile __near __bitf_T *)0xFFE4)->no6)
#define PMK5           (((volatile __near __bitf_T *)0xFFE4)->no7)
#define IICMK20        (((volatile __near __bitf_T *)0xFFE5)->no0)
#define CSIMK20        (((volatile __near __bitf_T *)0xFFE5)->no0)
#define STMK2          (((volatile __near __bitf_T *)0xFFE5)->no0)
#define SRMK2          (((volatile __near __bitf_T *)0xFFE5)->no1)
#define CSIMK21        (((volatile __near __bitf_T *)0xFFE5)->no1)
#define IICMK21        (((volatile __near __bitf_T *)0xFFE5)->no1)
#define SREMK2         (((volatile __near __bitf_T *)0xFFE5)->no2)
#define FAAEMK         (((volatile __near __bitf_T *)0xFFE5)->no3)
#define TIMECMK0       (((volatile __near __bitf_T *)0xFFE5)->no4)
#define IICMK00        (((volatile __near __bitf_T *)0xFFE5)->no5)
#define CSIMK00        (((volatile __near __bitf_T *)0xFFE5)->no5)
#define STMK0          (((volatile __near __bitf_T *)0xFFE5)->no5)
#define TMMK00         (((volatile __near __bitf_T *)0xFFE5)->no6)
#define SREMK0         (((volatile __near __bitf_T *)0xFFE5)->no7)
#define TMMK01H        (((volatile __near __bitf_T *)0xFFE5)->no7)
#define MK1            (*(volatile __near unsigned short *)0xFFE6)
#define MK1L           (*(volatile __near unsigned char  *)0xFFE6)
#define MK1L_bit       (*(volatile __near __bitf_T *)0xFFE6)
#define MK1H           (*(volatile __near unsigned char  *)0xFFE7)
#define MK1H_bit       (*(volatile __near __bitf_T *)0xFFE7)
#define STMK1          (((volatile __near __bitf_T *)0xFFE6)->no0)
#define CSIMK10        (((volatile __near __bitf_T *)0xFFE6)->no0)
#define IICMK10        (((volatile __near __bitf_T *)0xFFE6)->no0)
#define SRMK1          (((volatile __near __bitf_T *)0xFFE6)->no1)
#define IICMK11        (((volatile __near __bitf_T *)0xFFE6)->no1)
#define CSIMK11        (((volatile __near __bitf_T *)0xFFE6)->no1)
#define SREMK1         (((volatile __near __bitf_T *)0xFFE6)->no2)
#define TMMK03H        (((volatile __near __bitf_T *)0xFFE6)->no2)
#define IICAMK0        (((volatile __near __bitf_T *)0xFFE6)->no3)
#define SRMK0          (((volatile __near __bitf_T *)0xFFE6)->no4)
#define IICMK01        (((volatile __near __bitf_T *)0xFFE6)->no4)
#define CSIMK01        (((volatile __near __bitf_T *)0xFFE6)->no4)
#define TMMK01         (((volatile __near __bitf_T *)0xFFE6)->no5)
#define TMMK02         (((volatile __near __bitf_T *)0xFFE6)->no6)
#define TMMK03         (((volatile __near __bitf_T *)0xFFE6)->no7)
#define ADMK0          (((volatile __near __bitf_T *)0xFFE7)->no0)
#define RTCMK          (((volatile __near __bitf_T *)0xFFE7)->no1)
#define ITLMK          (((volatile __near __bitf_T *)0xFFE7)->no2)
#define KRMK           (((volatile __near __bitf_T *)0xFFE7)->no3)
#define TDMK           (((volatile __near __bitf_T *)0xFFE7)->no4)
#define TRJMK0         (((volatile __near __bitf_T *)0xFFE7)->no4)
#define TRDMK0         (((volatile __near __bitf_T *)0xFFE7)->no5)
#define TRDMK1         (((volatile __near __bitf_T *)0xFFE7)->no6)
#define TRGMK          (((volatile __near __bitf_T *)0xFFE7)->no7)
#define RDMK           (((volatile __near __bitf_T *)0xFFE7)->no7)
#define PR00           (*(volatile __near unsigned short *)0xFFE8)
#define PR00L          (*(volatile __near unsigned char  *)0xFFE8)
#define PR00L_bit      (*(volatile __near __bitf_T *)0xFFE8)
#define PR00H          (*(volatile __near unsigned char  *)0xFFE9)
#define PR00H_bit      (*(volatile __near __bitf_T *)0xFFE9)
#define WDTIPR0        (((volatile __near __bitf_T *)0xFFE8)->no0)
#define LVIPR0         (((volatile __near __bitf_T *)0xFFE8)->no1)
#define PPR00          (((volatile __near __bitf_T *)0xFFE8)->no2)
#define PPR01          (((volatile __near __bitf_T *)0xFFE8)->no3)
#define ADPR01         (((volatile __near __bitf_T *)0xFFE8)->no3)
#define PPR02          (((volatile __near __bitf_T *)0xFFE8)->no4)
#define ADPR02         (((volatile __near __bitf_T *)0xFFE8)->no4)
#define PPR03          (((volatile __near __bitf_T *)0xFFE8)->no5)
#define PPR04          (((volatile __near __bitf_T *)0xFFE8)->no6)
#define PPR05          (((volatile __near __bitf_T *)0xFFE8)->no7)
#define CSIPR020       (((volatile __near __bitf_T *)0xFFE9)->no0)
#define IICPR020       (((volatile __near __bitf_T *)0xFFE9)->no0)
#define STPR02         (((volatile __near __bitf_T *)0xFFE9)->no0)
#define SRPR02         (((volatile __near __bitf_T *)0xFFE9)->no1)
#define CSIPR021       (((volatile __near __bitf_T *)0xFFE9)->no1)
#define IICPR021       (((volatile __near __bitf_T *)0xFFE9)->no1)
#define SREPR02        (((volatile __near __bitf_T *)0xFFE9)->no2)
#define FAAEPR0        (((volatile __near __bitf_T *)0xFFE9)->no3)
#define TIMECPR00      (((volatile __near __bitf_T *)0xFFE9)->no4)
#define CSIPR000       (((volatile __near __bitf_T *)0xFFE9)->no5)
#define IICPR000       (((volatile __near __bitf_T *)0xFFE9)->no5)
#define STPR00         (((volatile __near __bitf_T *)0xFFE9)->no5)
#define TMPR000        (((volatile __near __bitf_T *)0xFFE9)->no6)
#define SREPR00        (((volatile __near __bitf_T *)0xFFE9)->no7)
#define TMPR001H       (((volatile __near __bitf_T *)0xFFE9)->no7)
#define PR01           (*(volatile __near unsigned short *)0xFFEA)
#define PR01L          (*(volatile __near unsigned char  *)0xFFEA)
#define PR01L_bit      (*(volatile __near __bitf_T *)0xFFEA)
#define PR01H          (*(volatile __near unsigned char  *)0xFFEB)
#define PR01H_bit      (*(volatile __near __bitf_T *)0xFFEB)
#define CSIPR010       (((volatile __near __bitf_T *)0xFFEA)->no0)
#define IICPR010       (((volatile __near __bitf_T *)0xFFEA)->no0)
#define STPR01         (((volatile __near __bitf_T *)0xFFEA)->no0)
#define SRPR01         (((volatile __near __bitf_T *)0xFFEA)->no1)
#define CSIPR011       (((volatile __near __bitf_T *)0xFFEA)->no1)
#define IICPR011       (((volatile __near __bitf_T *)0xFFEA)->no1)
#define SREPR01        (((volatile __near __bitf_T *)0xFFEA)->no2)
#define TMPR003H       (((volatile __near __bitf_T *)0xFFEA)->no2)
#define IICAPR00       (((volatile __near __bitf_T *)0xFFEA)->no3)
#define SRPR00         (((volatile __near __bitf_T *)0xFFEA)->no4)
#define CSIPR001       (((volatile __near __bitf_T *)0xFFEA)->no4)
#define IICPR001       (((volatile __near __bitf_T *)0xFFEA)->no4)
#define TMPR001        (((volatile __near __bitf_T *)0xFFEA)->no5)
#define TMPR002        (((volatile __near __bitf_T *)0xFFEA)->no6)
#define TMPR003        (((volatile __near __bitf_T *)0xFFEA)->no7)
#define ADPR00         (((volatile __near __bitf_T *)0xFFEB)->no0)
#define RTCPR0         (((volatile __near __bitf_T *)0xFFEB)->no1)
#define ITLPR0         (((volatile __near __bitf_T *)0xFFEB)->no2)
#define KRPR0          (((volatile __near __bitf_T *)0xFFEB)->no3)
#define TRJPR00        (((volatile __near __bitf_T *)0xFFEB)->no4)
#define TDPR0          (((volatile __near __bitf_T *)0xFFEB)->no4)
#define TRDPR00        (((volatile __near __bitf_T *)0xFFEB)->no5)
#define TRDPR01        (((volatile __near __bitf_T *)0xFFEB)->no6)
#define TRGPR0         (((volatile __near __bitf_T *)0xFFEB)->no7)
#define RDPR0          (((volatile __near __bitf_T *)0xFFEB)->no7)
#define PR10           (*(volatile __near unsigned short *)0xFFEC)
#define PR10L          (*(volatile __near unsigned char  *)0xFFEC)
#define PR10L_bit      (*(volatile __near __bitf_T *)0xFFEC)
#define PR10H          (*(volatile __near unsigned char  *)0xFFED)
#define PR10H_bit      (*(volatile __near __bitf_T *)0xFFED)
#define WDTIPR1        (((volatile __near __bitf_T *)0xFFEC)->no0)
#define LVIPR1         (((volatile __near __bitf_T *)0xFFEC)->no1)
#define PPR10          (((volatile __near __bitf_T *)0xFFEC)->no2)
#define PPR11          (((volatile __near __bitf_T *)0xFFEC)->no3)
#define ADPR11         (((volatile __near __bitf_T *)0xFFEC)->no3)
#define PPR12          (((volatile __near __bitf_T *)0xFFEC)->no4)
#define ADPR12         (((volatile __near __bitf_T *)0xFFEC)->no4)
#define PPR13          (((volatile __near __bitf_T *)0xFFEC)->no5)
#define PPR14          (((volatile __near __bitf_T *)0xFFEC)->no6)
#define PPR15          (((volatile __near __bitf_T *)0xFFEC)->no7)
#define IICPR120       (((volatile __near __bitf_T *)0xFFED)->no0)
#define CSIPR120       (((volatile __near __bitf_T *)0xFFED)->no0)
#define STPR12         (((volatile __near __bitf_T *)0xFFED)->no0)
#define IICPR121       (((volatile __near __bitf_T *)0xFFED)->no1)
#define CSIPR121       (((volatile __near __bitf_T *)0xFFED)->no1)
#define SRPR12         (((volatile __near __bitf_T *)0xFFED)->no1)
#define SREPR12        (((volatile __near __bitf_T *)0xFFED)->no2)
#define FAAEPR1        (((volatile __near __bitf_T *)0xFFED)->no3)
#define TIMECPR10      (((volatile __near __bitf_T *)0xFFED)->no4)
#define CSIPR100       (((volatile __near __bitf_T *)0xFFED)->no5)
#define IICPR100       (((volatile __near __bitf_T *)0xFFED)->no5)
#define STPR10         (((volatile __near __bitf_T *)0xFFED)->no5)
#define TMPR100        (((volatile __near __bitf_T *)0xFFED)->no6)
#define TMPR101H       (((volatile __near __bitf_T *)0xFFED)->no7)
#define SREPR10        (((volatile __near __bitf_T *)0xFFED)->no7)
#define PR11           (*(volatile __near unsigned short *)0xFFEE)
#define PR11L          (*(volatile __near unsigned char  *)0xFFEE)
#define PR11L_bit      (*(volatile __near __bitf_T *)0xFFEE)
#define PR11H          (*(volatile __near unsigned char  *)0xFFEF)
#define PR11H_bit      (*(volatile __near __bitf_T *)0xFFEF)
#define IICPR110       (((volatile __near __bitf_T *)0xFFEE)->no0)
#define STPR11         (((volatile __near __bitf_T *)0xFFEE)->no0)
#define CSIPR110       (((volatile __near __bitf_T *)0xFFEE)->no0)
#define IICPR111       (((volatile __near __bitf_T *)0xFFEE)->no1)
#define CSIPR111       (((volatile __near __bitf_T *)0xFFEE)->no1)
#define SRPR11         (((volatile __near __bitf_T *)0xFFEE)->no1)
#define SREPR11        (((volatile __near __bitf_T *)0xFFEE)->no2)
#define TMPR103H       (((volatile __near __bitf_T *)0xFFEE)->no2)
#define IICAPR10       (((volatile __near __bitf_T *)0xFFEE)->no3)
#define IICPR101       (((volatile __near __bitf_T *)0xFFEE)->no4)
#define SRPR10         (((volatile __near __bitf_T *)0xFFEE)->no4)
#define CSIPR101       (((volatile __near __bitf_T *)0xFFEE)->no4)
#define TMPR101        (((volatile __near __bitf_T *)0xFFEE)->no5)
#define TMPR102        (((volatile __near __bitf_T *)0xFFEE)->no6)
#define TMPR103        (((volatile __near __bitf_T *)0xFFEE)->no7)
#define ADPR10         (((volatile __near __bitf_T *)0xFFEF)->no0)
#define RTCPR1         (((volatile __near __bitf_T *)0xFFEF)->no1)
#define ITLPR1         (((volatile __near __bitf_T *)0xFFEF)->no2)
#define KRPR1          (((volatile __near __bitf_T *)0xFFEF)->no3)
#define TDPR1          (((volatile __near __bitf_T *)0xFFEF)->no4)
#define TRJPR10        (((volatile __near __bitf_T *)0xFFEF)->no4)
#define TRDPR10        (((volatile __near __bitf_T *)0xFFEF)->no5)
#define TRDPR11        (((volatile __near __bitf_T *)0xFFEF)->no6)
#define TRGPR1         (((volatile __near __bitf_T *)0xFFEF)->no7)
#define RDPR1          (((volatile __near __bitf_T *)0xFFEF)->no7)
#define MACRL          (*(volatile __near unsigned short *)0xFFF0)
#define MACRH          (*(volatile __near unsigned short *)0xFFF2)
#define PMC            (*(volatile __near unsigned char  *)0xFFFE)
#define PMC_bit        (*(volatile __near __bitf_T *)0xFFFE)
#define MAA            (((volatile __near __bitf_T *)0xFFFE)->no0)


#define INTWDTI                         0x0004
#define INTLVI                          0x0006
#define INTP0                           0x0008
#define INTAD1                          0x000A
#define INTP1                           0x000A
#define INTAD2                          0x000C
#define INTP2                           0x000C
#define INTP3                           0x000E
#define INTP4                           0x0010
#define INTP5                           0x0012
#define INTCSI20                        0x0014
#define INTIIC20                        0x0014
#define INTST2                          0x0014
#define INTCSI21                        0x0016
#define INTIIC21                        0x0016
#define INTSR2                          0x0016
#define INTSRE2                         0x0018
#define INTFAAE                         0x001A
#define INTTIMEC0                       0x001C
#define INTCSI00                        0x001E
#define INTIIC00                        0x001E
#define INTST0                          0x001E
#define INTTM00                         0x0020
#define INTSRE0                         0x0022
#define INTTM01H                        0x0022
#define INTCSI10                        0x0024
#define INTIIC10                        0x0024
#define INTST1                          0x0024
#define INTCSI11                        0x0026
#define INTIIC11                        0x0026
#define INTSR1                          0x0026
#define INTSRE1                         0x0028
#define INTTM03H                        0x0028
#define INTIICA0                        0x002A
#define INTCSI01                        0x002C
#define INTIIC01                        0x002C
#define INTSR0                          0x002C
#define INTTM01                         0x002E
#define INTTM02                         0x0030
#define INTTM03                         0x0032
#define INTAD0                          0x0034
#define INTRTC                          0x0036
#define INTITL                          0x0038
#define INTKR                           0x003A
#define INTTD                           0x003C
#define INTTRJ0                         0x003C
#define INTTRD0                         0x003E
#define INTTRD1                         0x0040
#define INTRD                           0x0042
#define INTTRG                          0x0042
#define INTBPD                          0x0044
#define INTCLD                          0x0044
#define INTED                           0x0044
#define INTTRX                          0x0044
#define INTP20                          0x0046
#define INTP21                          0x0048
#define INTP6                           0x004A
#define INTTMKBSTR10                    0x004A
#define INTP7                           0x004C
#define INTTMKBSTP10                    0x004C
#define INTP8                           0x004E
#define INTTMKBSTR11                    0x004E
#define INTP9                           0x0050
#define INTTMKBSTP11                    0x0050
#define INTFL                           0x0052
#define INTCMP0                         0x0054
#define INTP10                          0x0054
#define INTCMP1                         0x0056
#define INTP11                          0x0056
#define INTFAATRAP                      0x0058
#define INTCMP2                         0x005A
#define INTCMP3                         0x005C
#define INTTMKB0                        0x005E
#define INTTMKB1                        0x0060
#define INTTMKB2                        0x0062
#define INTGCR                          0x0064
#define INTSDD                          0x0064
#define INTFED                          0x0066
#define INTPMC                          0x0066
#define INTTMKBSTR00                    0x0068
#define INTTMKBSTP00                    0x006A
#define INTTMKBSTR01                    0x006C
#define INTTMKBSTP01                    0x006E
#define INTTMKBSTR20                    0x0070
#define INTTMKBSTP20                    0x0072
#define INTTMKBSTR21                    0x0074
#define INTTMKBSTP21                    0x0076
#define INTTIMEC1                       0x0078
#define INTTIMEC2                       0x007A
#define INTAD3                          0x007C

#endif
