;/**********************************************************************************************************************
; * DISCLAIMER
; * This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
; * other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
; * applicable laws, including copyright laws.
; * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
; * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
; * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
; * EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
; * SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO
; * THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
; * Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
; * this software. By using this software, you agree to the additional terms and conditions found by accessing the
; * following link:
; * www.renesas.com/disclaimer
; *
; * Copyright (C) 2022 Renesas Electronics Corporation. All rights reserved.
; **********************************************************************************************************************
; * Device     : RL78/R7F101GLG
; * File Name  : iodefine_faa.inc
; * Abstract   : Definition of FAA address and FAA pointer
; * History    : V1.10  [Device File version]
; * Options    : -df=C:\Program Files (x86)\Renesas Electronics\CS+\CC\Device\RL78\Devicefile\DR7F101GLG.DVF -o=D:\RL78G
; *                  23-64PFPB\I2C_for_CS+\IICA1_F\iodefine.h -faa_inc=D:\RL78G23-64PFPB\I2C_for_CS+\IICA1_F\iodefine_fa
; *                  a.inc -f
; * Date       : 2024/03/25
; * Version    : V1.19.00.01  [df2iodef.exe version]
; * This is a typical example.
; *
; *********************************************************************************************************************/

#ifndef __R7F101GLG_IODEFINE_FAA_INCLUDE__
#define __R7F101GLG_IODEFINE_FAA_INCLUDE__

#define     P1_PTR                  H'1F01      ; p1
#define     SDR00_PTR               H'9F10      ; sdr00
#define     TXD0_PTR                H'1F10      ; txd0
#define     SIO00_PTR               H'1F10      ; sio00
#define     SDR01_PTR               H'9F12      ; sdr01
#define     RXD0_PTR                H'1F12      ; rxd0
#define     SIO01_PTR               H'1F12      ; sio01
#define     TDR00_PTR               H'9F18      ; tdr00
#define     TDR01_PTR               H'9F1A      ; tdr01
#define     TDR01L_PTR              H'1F1A      ; tdr01l
#define     TDR01H_PTR              H'1F1B      ; tdr01h
#define     ADCR                    H'5E        ; adcr
#define     ADCR_PTR                H'9F1E      ; adcr
#define     ADCRH_PTR               H'1F1F      ; adcrh
#define     PM1_PTR                 H'1F21      ; pm1
#define     ADM0                    H'5F        ; adm0
#define     ADM0_PTR                H'1F30      ; adm0
#define     ADS                     H'60        ; ads
#define     ADS_PTR                 H'1F31      ; ads
#define     ADM1                    H'61        ; adm1
#define     ADM1_PTR                H'1F32      ; adm1
#define     SDR02_PTR               H'9F44      ; sdr02
#define     TXD1_PTR                H'1F44      ; txd1
#define     SIO10_PTR               H'1F44      ; sio10
#define     SDR03_PTR               H'9F46      ; sdr03
#define     RXD1_PTR                H'1F46      ; rxd1
#define     SIO11_PTR               H'1F46      ; sio11
#define     TRGGRC                  H'5C        ; trggrc
#define     TRGGRC_PTR              H'9F60      ; trggrc
#define     TRGGRD                  H'5D        ; trggrd
#define     TRGGRD_PTR              H'9F62      ; trggrd
#define     TDR02_PTR               H'9F64      ; tdr02
#define     TDR03_PTR               H'9F66      ; tdr03
#define     TDR03L_PTR              H'1F66      ; tdr03l
#define     TDR03H_PTR              H'1F67      ; tdr03h
#define     TRDGRC0                 H'40        ; trdgrc0
#define     TRDGRC0_PTR             H'9F6C      ; trdgrc0
#define     TRDGRD0                 H'41        ; trdgrd0
#define     TRDGRD0_PTR             H'9F6E      ; trdgrd0
#define     TRDGRC1                 H'42        ; trdgrc1
#define     TRDGRC1_PTR             H'9F70      ; trdgrc1
#define     TRDGRD1                 H'43        ; trdgrd1
#define     TRDGRD1_PTR             H'9F72      ; trdgrd1
#define     TRDCMPD0                H'44        ; trdcmpd0
#define     TRDCMPD0_PTR            H'9F74      ; trdcmpd0
#define     TRDCMPC1                H'45        ; trdcmpc1
#define     TRDCMPC1_PTR            H'9F76      ; trdcmpc1
#define     TRDCMPD1                H'46        ; trdcmpd1
#define     TRDCMPD1_PTR            H'9F78      ; trdcmpd1
#define     TRDADTB0                H'47        ; trdadtb0
#define     TRDADTB0_PTR            H'9F7A      ; trdadtb0
#define     TRDCMPF1                H'47        ; trdcmpf1
#define     TRDCMPF1_PTR            H'9F7A      ; trdcmpf1
#define     TRDADTB1                H'48        ; trdadtb1
#define     TRDADTB1_PTR            H'9F7C      ; trdadtb1
#define     TRDRDT_PTR              H'9F7E      ; trdrdt
#define     TRDRDT0                 H'49        ; trdrdt0
#define     TRDRDT0_PTR             H'1F7E      ; trdrdt0
#define     TRDRDT1                 H'4A        ; trdrdt1
#define     TRDRDT1_PTR             H'1F7F      ; trdrdt1
#define     ADM2                    H'62        ; adm2
#define     ADM2_PTR                H'0010      ; adm2
#define     ADUL                    H'63        ; adul
#define     ADUL_PTR                H'0011      ; adul
#define     ADLL                    H'64        ; adll
#define     ADLL_PTR                H'0012      ; adll
#define     ADTES_PTR               H'0013      ; adtes
#define     ADM3_PTR                H'0014      ; adm3
#define     ADS0_PTR                H'0015      ; ads0
#define     ADS1_PTR                H'0016      ; ads1
#define     ADS2_PTR                H'0017      ; ads2
#define     ADS3_PTR                H'0018      ; ads3
#define     ADSCTL_PTR              H'0019      ; adsctl
#define     ADTR0_PTR               H'001A      ; adtr0
#define     ADTR1_PTR               H'001B      ; adtr1
#define     ADTR2_PTR               H'001C      ; adtr2
#define     ADTR3_PTR               H'001D      ; adtr3
#define     ADSPMOD_PTR             H'001F      ; adspmod
#define     ADCR0                   H'65        ; adcr0
#define     ADCR0_PTR               H'8020      ; adcr0
#define     ADCR0H_PTR              H'0021      ; adcr0h
#define     ADCR1                   H'66        ; adcr1
#define     ADCR1_PTR               H'8022      ; adcr1
#define     ADCR1H_PTR              H'0023      ; adcr1h
#define     ADCR2                   H'67        ; adcr2
#define     ADCR2_PTR               H'8024      ; adcr2
#define     ADCR2H_PTR              H'0025      ; adcr2h
#define     ADCR3                   H'68        ; adcr3
#define     ADCR3_PTR               H'8026      ; adcr3
#define     ADCR3H_PTR              H'0027      ; adcr3h
#define     ADINTCTL_PTR            H'0028      ; adintctl
#define     ADINTST_PTR             H'0029      ; adintst
#define     PU1_PTR                 H'0031      ; pu1
#define     PIM1_PTR                H'0041      ; pim1
#define     POM1_PTR                H'0051      ; pom1
#define     PMCA1_PTR               H'0061      ; pmca1
#define     SSR00_PTR               H'8100      ; ssr00
#define     SSR00L_PTR              H'0100      ; ssr00l
#define     SSR01_PTR               H'8102      ; ssr01
#define     SSR01L_PTR              H'0102      ; ssr01l
#define     SSR02_PTR               H'8104      ; ssr02
#define     SSR02L_PTR              H'0104      ; ssr02l
#define     SSR03_PTR               H'8106      ; ssr03
#define     SSR03L_PTR              H'0106      ; ssr03l
#define     SIR00_PTR               H'8108      ; sir00
#define     SIR00L_PTR              H'0108      ; sir00l
#define     SIR01_PTR               H'810A      ; sir01
#define     SIR01L_PTR              H'010A      ; sir01l
#define     SIR02_PTR               H'810C      ; sir02
#define     SIR02L_PTR              H'010C      ; sir02l
#define     SIR03_PTR               H'810E      ; sir03
#define     SIR03L_PTR              H'010E      ; sir03l
#define     SMR00_PTR               H'8110      ; smr00
#define     SMR01_PTR               H'8112      ; smr01
#define     SMR02_PTR               H'8114      ; smr02
#define     SMR03_PTR               H'8116      ; smr03
#define     SCR00_PTR               H'8118      ; scr00
#define     SCR01_PTR               H'811A      ; scr01
#define     SCR02_PTR               H'811C      ; scr02
#define     SCR03_PTR               H'811E      ; scr03
#define     SE0_PTR                 H'8120      ; se0
#define     SE0L_PTR                H'0120      ; se0l
#define     SS0_PTR                 H'8122      ; ss0
#define     SS0L_PTR                H'0122      ; ss0l
#define     ST0_PTR                 H'8124      ; st0
#define     ST0L_PTR                H'0124      ; st0l
#define     SPS0_PTR                H'8126      ; sps0
#define     SPS0L_PTR               H'0126      ; sps0l
#define     SO0_PTR                 H'8128      ; so0
#define     SOE0_PTR                H'812A      ; soe0
#define     SOE0L_PTR               H'012A      ; soe0l
#define     SOL0_PTR                H'8134      ; sol0
#define     SOL0L_PTR               H'0134      ; sol0l
#define     SSC0_PTR                H'8138      ; ssc0
#define     SSC0L_PTR               H'0138      ; ssc0l
#define     TCR00_PTR               H'8180      ; tcr00
#define     TCR01_PTR               H'8182      ; tcr01
#define     TCR02_PTR               H'8184      ; tcr02
#define     TCR03_PTR               H'8186      ; tcr03
#define     TMR00_PTR               H'8190      ; tmr00
#define     TMR01_PTR               H'8192      ; tmr01
#define     TMR02_PTR               H'8194      ; tmr02
#define     TMR03_PTR               H'8196      ; tmr03
#define     TSR00_PTR               H'81A0      ; tsr00
#define     TSR00L_PTR              H'01A0      ; tsr00l
#define     TSR01_PTR               H'81A2      ; tsr01
#define     TSR01L_PTR              H'01A2      ; tsr01l
#define     TSR02_PTR               H'81A4      ; tsr02
#define     TSR02L_PTR              H'01A4      ; tsr02l
#define     TSR03_PTR               H'81A6      ; tsr03
#define     TSR03L_PTR              H'01A6      ; tsr03l
#define     TE0_PTR                 H'81B0      ; te0
#define     TE0L_PTR                H'01B0      ; te0l
#define     TS0_PTR                 H'81B2      ; ts0
#define     TS0L_PTR                H'01B2      ; ts0l
#define     TT0_PTR                 H'81B4      ; tt0
#define     TT0L_PTR                H'01B4      ; tt0l
#define     TPS0_PTR                H'81B6      ; tps0
#define     TO0_PTR                 H'81B8      ; to0
#define     TO0L_PTR                H'01B8      ; to0l
#define     TOE0_PTR                H'81BA      ; toe0
#define     TOE0L_PTR               H'01BA      ; toe0l
#define     TOL0_PTR                H'81BC      ; tol0
#define     TOL0L_PTR               H'01BC      ; tol0l
#define     TOM0_PTR                H'81BE      ; tom0
#define     TOM0L_PTR               H'01BE      ; tom0l
#define     DAM0_PTR                H'0330      ; dam0
#define     DAM1_PTR                H'0331      ; dam1
#define     DAM2_PTR                H'0332      ; dam2
#define     DACS2                   H'69        ; dacs2
#define     DACS2_PTR               H'0333      ; dacs2
#define     DACS0                   H'6A        ; dacs0
#define     DACS0_PTR               H'8334      ; dacs0
#define     DACS1                   H'6B        ; dacs1
#define     DACS1_PTR               H'8336      ; dacs1
#define     DACS1L_PTR              H'0336      ; dacs1l
#define     COMPMDR0_PTR            H'0340      ; compmdr0
#define     COMPFIR0_PTR            H'0341      ; compfir0
#define     COMPOCR0_PTR            H'0342      ; compocr0
#define     COMPMDR1_PTR            H'0344      ; compmdr1
#define     COMPFIR1_PTR            H'0345      ; compfir1
#define     COMPOCR1_PTR            H'0346      ; compocr1
#define     PGACTL_PTR              H'0347      ; pgactl
#define     PGAINS                  H'6C        ; pgains
#define     PGAINS_PTR              H'0348      ; pgains
#define     CMP0SEL_PTR             H'034A      ; cmp0sel
#define     CMP1SEL_PTR             H'034B      ; cmp1sel
#define     CMP2SEL_PTR             H'034C      ; cmp2sel
#define     CMP3SEL_PTR             H'034D      ; cmp3sel
#define     COMPOCR2_PTR            H'034E      ; compocr2
#define     TRX                     H'6D        ; trx
#define     TRX_PTR                 H'8350      ; trx
#define     TRXBUF_PTR              H'8352      ; trxbuf
#define     TRXCR1_PTR              H'0354      ; trxcr1
#define     TRXCR2_PTR              H'0355      ; trxcr2
#define     TRXSR_PTR               H'0356      ; trxsr
#define     OPCTL0_PTR              H'0358      ; opctl0
#define     OPDF0_PTR               H'0359      ; opdf0
#define     OPDF1_PTR               H'035A      ; opdf1
#define     OPEDGE_PTR              H'035B      ; opedge
#define     OPSR_PTR                H'035C      ; opsr
#define     TRDELC_PTR              H'0390      ; trdelc
#define     TRDBCR_PTR              H'0391      ; trdbcr
#define     TRDBOF_PTR              H'0392      ; trdbof
#define     TRDSTR_PTR              H'0393      ; trdstr
#define     TRDMR_PTR               H'0394      ; trdmr
#define     TRDPMR_PTR              H'0395      ; trdpmr
#define     TRDFCR_PTR              H'0396      ; trdfcr
#define     TRDOER1                 H'56        ; trdoer1
#define     TRDOER1_PTR             H'0397      ; trdoer1
#define     TRDOER2_PTR             H'0398      ; trdoer2
#define     TRDOCR_PTR              H'0399      ; trdocr
#define     TRDDF0_PTR              H'039A      ; trddf0
#define     TRDDF1_PTR              H'039B      ; trddf1
#define     TRDCR0_PTR              H'03A0      ; trdcr0
#define     TRDIORA0_PTR            H'03A1      ; trdiora0
#define     TRDIORC0_PTR            H'03A2      ; trdiorc0
#define     TRDSR0_PTR              H'03A3      ; trdsr0
#define     TRDIER0_PTR             H'03A4      ; trdier0
#define     TRDPOCR0_PTR            H'03A5      ; trdpocr0
#define     TRD0                    H'4B        ; trd0
#define     TRD0_PTR                H'83A6      ; trd0
#define     TRDGRA0                 H'4C        ; trdgra0
#define     TRDGRA0_PTR             H'83A8      ; trdgra0
#define     TRDGRB0                 H'4D        ; trdgrb0
#define     TRDGRB0_PTR             H'83AA      ; trdgrb0
#define     TRDCR1_PTR              H'03B0      ; trdcr1
#define     TRDIORA1_PTR            H'03B1      ; trdiora1
#define     TRDIORC1_PTR            H'03B2      ; trdiorc1
#define     TRDSR1_PTR              H'03B3      ; trdsr1
#define     TRDIER1_PTR             H'03B4      ; trdier1
#define     TRDPOCR1_PTR            H'03B5      ; trdpocr1
#define     TRD1                    H'4E        ; trd1
#define     TRD1_PTR                H'83B6      ; trd1
#define     TRDGRA1                 H'4F        ; trdgra1
#define     TRDGRA1_PTR             H'83B8      ; trdgra1
#define     TRDGRB1                 H'50        ; trdgrb1
#define     TRDGRB1_PTR             H'83BA      ; trdgrb1
#define     TRDCMPB0                H'51        ; trdcmpb0
#define     TRDCMPB0_PTR            H'83C0      ; trdcmpb0
#define     TRDCMPA1                H'52        ; trdcmpa1
#define     TRDCMPA1_PTR            H'83C4      ; trdcmpa1
#define     TRDCMPB1                H'53        ; trdcmpb1
#define     TRDCMPB1_PTR            H'83C8      ; trdcmpb1
#define     TRDADTC0                H'54        ; trdadtc0
#define     TRDADTC0_PTR            H'83CC      ; trdadtc0
#define     TRDCMPE1                H'54        ; trdcmpe1
#define     TRDCMPE1_PTR            H'83CC      ; trdcmpe1
#define     TRDADTC1                H'55        ; trdadtc1
#define     TRDADTC1_PTR            H'83D0      ; trdadtc1
#define     TRDRSF_PTR              H'83D6      ; trdrsf
#define     TRDRSF0                 H'57        ; trdrsf0
#define     TRDRSF0_PTR             H'03D6      ; trdrsf0
#define     TRDRSF1                 H'58        ; trdrsf1
#define     TRDRSF1_PTR             H'03D7      ; trdrsf1
#define     TRDADCR_PTR             H'03D8      ; trdadcr
#define     TRGMR0_PTR              H'03E0      ; trgmr0
#define     TRGCNTC_PTR             H'03E1      ; trgcntc
#define     TRGCR_PTR               H'03E2      ; trgcr
#define     TRGIER0_PTR             H'03E3      ; trgier0
#define     TRGSR0_PTR              H'03E4      ; trgsr0
#define     TRGIOR_PTR              H'03E5      ; trgior
#define     TRG                     H'59        ; trg
#define     TRG_PTR                 H'83E6      ; trg
#define     TRGGRA                  H'5A        ; trggra
#define     TRGGRA_PTR              H'83E8      ; trggra
#define     TRGGRB                  H'5B        ; trggrb
#define     TRGGRB_PTR              H'83EA      ; trggrb
#define     TRGMR1_PTR              H'03F0      ; trgmr1
#define     TRGOER_PTR              H'03F1      ; trgoer
#define     TRGOCR_PTR              H'03F2      ; trgocr
#define     TRGIER1_PTR             H'03F3      ; trgier1
#define     TRGSR1_PTR              H'03F4      ; trgsr1
#define     TRGSTR_PTR              H'03F5      ; trgstr
#define     TRGCTL0_PTR             H'03F6      ; trgctl0
#define     TRGCTL1_PTR             H'03F7      ; trgctl1
#define     TRGPMC_PTR              H'83F8      ; trgpmc
#define     TRGCAP0_PTR             H'83FA      ; trgcap0
#define     TRGCAP1_PTR             H'83FC      ; trgcap1
#define     TKBCR20                 H'96        ; tkbcr20
#define     TKBCR20_PTR             H'8400      ; tkbcr20
#define     TKBCR21                 H'97        ; tkbcr21
#define     TKBCR21_PTR             H'8402      ; tkbcr21
#define     TKBCR22                 H'98        ; tkbcr22
#define     TKBCR22_PTR             H'8404      ; tkbcr22
#define     TKBCR23                 H'99        ; tkbcr23
#define     TKBCR23_PTR             H'8406      ; tkbcr23
#define     TKBTGCR2                H'9A        ; tkbtgcr2
#define     TKBTGCR2_PTR            H'8408      ; tkbtgcr2
#define     TKBSIR20                H'9B        ; tkbsir20
#define     TKBSIR20_PTR            H'840A      ; tkbsir20
#define     TKBSIR21                H'9C        ; tkbsir21
#define     TKBSIR21_PTR            H'840C      ; tkbsir21
#define     TKBDNR20_PTR            H'040E      ; tkbdnr20
#define     TKBSSR20_PTR            H'040F      ; tkbssr20
#define     TKBDNR21_PTR            H'0410      ; tkbdnr21
#define     TKBSSR21_PTR            H'0411      ; tkbssr21
#define     TKBTRG2                 H'9D        ; tkbtrg2
#define     TKBTRG2_PTR             H'0412      ; tkbtrg2
#define     TKBFLG2                 H'9E        ; tkbflg2
#define     TKBFLG2_PTR             H'0413      ; tkbflg2
#define     TKBCRLD20               H'9F        ; tkbcrld20
#define     TKBCRLD20_PTR           H'8414      ; tkbcrld20
#define     TKBCRLD21               H'A0        ; tkbcrld21
#define     TKBCRLD21_PTR           H'8416      ; tkbcrld21
#define     TKBCNT2_PTR             H'8420      ; tkbcnt2
#define     TKBCTL20_PTR            H'8422      ; tkbctl20
#define     TKBMFR2_PTR             H'8424      ; tkbmfr2
#define     TKBIOC20_PTR            H'0426      ; tkbioc20
#define     TKBCLR2_PTR             H'0427      ; tkbclr2
#define     TKBIOC21_PTR            H'0428      ; tkbioc21
#define     TKBCTL21_PTR            H'0429      ; tkbctl21
#define     TKBCTL22_PTR            H'842A      ; tkbctl22
#define     TKBPACTL20_PTR          H'8430      ; tkbpactl20
#define     TKBPACTL21_PTR          H'8432      ; tkbpactl21
#define     TKBPAHFS2               H'A5        ; tkbpahfs2
#define     TKBPAHFS2_PTR           H'0434      ; tkbpahfs2
#define     TKBPAHFT2               H'A6        ; tkbpahft2
#define     TKBPAHFT2_PTR           H'0435      ; tkbpahft2
#define     TKBPAFLG2               H'A7        ; tkbpaflg2
#define     TKBPAFLG2_PTR           H'0436      ; tkbpaflg2
#define     TKBPACTL22_PTR          H'0437      ; tkbpactl22
#define     TKBPACTL23_PTR          H'0438      ; tkbpactl23
#define     TKBPACTL24_PTR          H'0439      ; tkbpactl24
#define     TKBPAPLS20              H'A8        ; tkbpapls20
#define     TKBPAPLS20_PTR          H'843A      ; tkbpapls20
#define     TKBPAPLS21              H'A9        ; tkbpapls21
#define     TKBPAPLS21_PTR          H'843C      ; tkbpapls21
#define     TKBPAPLS20L_PTR         H'843E      ; tkbpapls20l
#define     TKBPAPLS21L_PTR         H'843F      ; tkbpapls21l
#define     TKBTCTL0_PTR            H'0490      ; tkbtctl0
#define     TKBTCMP0_PTR            H'0491      ; tkbtcmp0
#define     TKBTCTL1_PTR            H'0492      ; tkbtctl1
#define     TKBTCMP1_PTR            H'0493      ; tkbtcmp1
#define     TKBTCTL2_PTR            H'0494      ; tkbtctl2
#define     TKBTCMP2_PTR            H'0495      ; tkbtcmp2
#define     TRNGSDR_PTR             H'0540      ; trngsdr
#define     TRNGSCR0_PTR            H'0542      ; trngscr0
#define     TKBCR00                 H'6E        ; tkbcr00
#define     TKBCR00_PTR             H'8740      ; tkbcr00
#define     TKBCR01                 H'6F        ; tkbcr01
#define     TKBCR01_PTR             H'8742      ; tkbcr01
#define     TKBCR02                 H'70        ; tkbcr02
#define     TKBCR02_PTR             H'8744      ; tkbcr02
#define     TKBCR03                 H'71        ; tkbcr03
#define     TKBCR03_PTR             H'8746      ; tkbcr03
#define     TKBTGCR0                H'72        ; tkbtgcr0
#define     TKBTGCR0_PTR            H'8748      ; tkbtgcr0
#define     TKBSIR00                H'73        ; tkbsir00
#define     TKBSIR00_PTR            H'874A      ; tkbsir00
#define     TKBSIR01                H'74        ; tkbsir01
#define     TKBSIR01_PTR            H'874C      ; tkbsir01
#define     TKBDNR00_PTR            H'074E      ; tkbdnr00
#define     TKBSSR00_PTR            H'074F      ; tkbssr00
#define     TKBDNR01_PTR            H'0750      ; tkbdnr01
#define     TKBSSR01_PTR            H'0751      ; tkbssr01
#define     TKBTRG0                 H'75        ; tkbtrg0
#define     TKBTRG0_PTR             H'0752      ; tkbtrg0
#define     TKBFLG0                 H'76        ; tkbflg0
#define     TKBFLG0_PTR             H'0753      ; tkbflg0
#define     TKBCRLD00               H'77        ; tkbcrld00
#define     TKBCRLD00_PTR           H'8754      ; tkbcrld00
#define     TKBCRLD01               H'78        ; tkbcrld01
#define     TKBCRLD01_PTR           H'8756      ; tkbcrld01
#define     TKBCNT0_PTR             H'8760      ; tkbcnt0
#define     TKBCTL00_PTR            H'8762      ; tkbctl00
#define     TKBMFR0_PTR             H'8764      ; tkbmfr0
#define     TKBIOC00_PTR            H'0766      ; tkbioc00
#define     TKBCLR0_PTR             H'0767      ; tkbclr0
#define     TKBIOC01_PTR            H'0768      ; tkbioc01
#define     TKBCTL01_PTR            H'0769      ; tkbctl01
#define     TKBCTL02_PTR            H'876A      ; tkbctl02
#define     TKBPACTL00_PTR          H'8770      ; tkbpactl00
#define     TKBPACTL01_PTR          H'8772      ; tkbpactl01
#define     TKBPAHFS0               H'7D        ; tkbpahfs0
#define     TKBPAHFS0_PTR           H'0774      ; tkbpahfs0
#define     TKBPAHFT0               H'7E        ; tkbpahft0
#define     TKBPAHFT0_PTR           H'0775      ; tkbpahft0
#define     TKBPAFLG0               H'7F        ; tkbpaflg0
#define     TKBPAFLG0_PTR           H'0776      ; tkbpaflg0
#define     TKBPACTL02_PTR          H'0777      ; tkbpactl02
#define     TKBPACTL03_PTR          H'0778      ; tkbpactl03
#define     TKBPACTL04_PTR          H'0779      ; tkbpactl04
#define     TKBPAPLS00              H'80        ; tkbpapls00
#define     TKBPAPLS00_PTR          H'877A      ; tkbpapls00
#define     TKBPAPLS01              H'81        ; tkbpapls01
#define     TKBPAPLS01_PTR          H'877C      ; tkbpapls01
#define     TKBPAPLS00L_PTR         H'077E      ; tkbpapls00l
#define     TKBPAPLS01L_PTR         H'077F      ; tkbpapls01l
#define     TKBCR10                 H'82        ; tkbcr10
#define     TKBCR10_PTR             H'8780      ; tkbcr10
#define     TKBCR11                 H'83        ; tkbcr11
#define     TKBCR11_PTR             H'8782      ; tkbcr11
#define     TKBCR12                 H'84        ; tkbcr12
#define     TKBCR12_PTR             H'8784      ; tkbcr12
#define     TKBCR13                 H'85        ; tkbcr13
#define     TKBCR13_PTR             H'8786      ; tkbcr13
#define     TKBTGCR1                H'86        ; tkbtgcr1
#define     TKBTGCR1_PTR            H'8788      ; tkbtgcr1
#define     TKBSIR10                H'87        ; tkbsir10
#define     TKBSIR10_PTR            H'878A      ; tkbsir10
#define     TKBSIR11                H'88        ; tkbsir11
#define     TKBSIR11_PTR            H'878C      ; tkbsir11
#define     TKBDNR10_PTR            H'078E      ; tkbdnr10
#define     TKBSSR10_PTR            H'078F      ; tkbssr10
#define     TKBDNR11_PTR            H'0790      ; tkbdnr11
#define     TKBSSR11_PTR            H'0791      ; tkbssr11
#define     TKBTRG1                 H'89        ; tkbtrg1
#define     TKBTRG1_PTR             H'0792      ; tkbtrg1
#define     TKBFLG1                 H'8A        ; tkbflg1
#define     TKBFLG1_PTR             H'0793      ; tkbflg1
#define     TKBCRLD10               H'8B        ; tkbcrld10
#define     TKBCRLD10_PTR           H'8794      ; tkbcrld10
#define     TKBCRLD11               H'8C        ; tkbcrld11
#define     TKBCRLD11_PTR           H'8796      ; tkbcrld11
#define     TKBCNT1_PTR             H'87A0      ; tkbcnt1
#define     TKBCTL10_PTR            H'87A2      ; tkbctl10
#define     TKBMFR1_PTR             H'87A4      ; tkbmfr1
#define     TKBIOC10_PTR            H'07A6      ; tkbioc10
#define     TKBCLR1_PTR             H'07A7      ; tkbclr1
#define     TKBIOC11_PTR            H'07A8      ; tkbioc11
#define     TKBCTL11_PTR            H'07A9      ; tkbctl11
#define     TKBCTL12_PTR            H'87AA      ; tkbctl12
#define     TKBPACTL10_PTR          H'87B0      ; tkbpactl10
#define     TKBPACTL11_PTR          H'87B2      ; tkbpactl11
#define     TKBPAHFS1               H'91        ; tkbpahfs1
#define     TKBPAHFS1_PTR           H'07B4      ; tkbpahfs1
#define     TKBPAHFT1               H'92        ; tkbpahft1
#define     TKBPAHFT1_PTR           H'07B5      ; tkbpahft1
#define     TKBPAFLG1               H'93        ; tkbpaflg1
#define     TKBPAFLG1_PTR           H'07B6      ; tkbpaflg1
#define     TKBPACTL12_PTR          H'07B7      ; tkbpactl12
#define     TKBPACTL13_PTR          H'07B8      ; tkbpactl13
#define     TKBPACTL14_PTR          H'07B9      ; tkbpactl14
#define     TKBPAPLS10              H'94        ; tkbpapls10
#define     TKBPAPLS10_PTR          H'87BA      ; tkbpapls10
#define     TKBPAPLS11              H'95        ; tkbpapls11
#define     TKBPAPLS11_PTR          H'87BC      ; tkbpapls11
#define     TKBPAPLS10L_PTR         H'07BE      ; tkbpapls10l
#define     TKBPAPLS11L_PTR         H'07BF      ; tkbpapls11l
#define     IV0                     H'12        ; iv0
#define     IV1                     H'13        ; iv1
#define     IV2                     H'14        ; iv2
#define     IV3                     H'15        ; iv3
#define     IV4                     H'16        ; iv4
#define     IV5                     H'17        ; iv5
#define     IV6                     H'18        ; iv6
#define     IV7                     H'19        ; iv7
#define     IV8                     H'1A        ; iv8
#define     IV9                     H'1B        ; iv9
#define     IV10                    H'1C        ; iv10
#define     IV11                    H'1D        ; iv11
#define     IV12                    H'1E        ; iv12
#define     IV13                    H'1F        ; iv13
#define     IV14                    H'20        ; iv14
#define     IV15                    H'21        ; iv15
#define     IEVSC0                  H'28        ; ievsc0
#define     IEVSC1                  H'29        ; ievsc1
#define     TMCMP0                  H'01        ; tmcmp0
#define     TMCMP1                  H'02        ; tmcmp1
#define     TMCMP2                  H'03        ; tmcmp2
#define     TMCMP3                  H'04        ; tmcmp3
#define     TMCMP4                  H'05        ; tmcmp4
#define     TMCMP5                  H'06        ; tmcmp5
#define     TMMSK0                  H'07        ; tmmsk0
#define     TMMSK1                  H'08        ; tmmsk1
#define     TMMSK2                  H'09        ; tmmsk2
#define     TMMSK3                  H'0A        ; tmmsk3
#define     TMMSK4                  H'0B        ; tmmsk4
#define     TMMSK5                  H'0C        ; tmmsk5
#define     FCNT                    H'0D        ; fcnt
#define     FCCNT                   H'0E        ; fccnt
#define     CWDW0                   H'E0        ; cwdw0
#define     CWDW1                   H'E1        ; cwdw1
#define     CWDW2                   H'E2        ; cwdw2
#define     CWDW3                   H'E3        ; cwdw3
#define     CWDW4                   H'E4        ; cwdw4
#define     CWDW5                   H'E5        ; cwdw5
#define     CWDW6                   H'E6        ; cwdw6
#define     CWDW7                   H'E7        ; cwdw7
#define     FAADAH                  H'AB        ; faadah
#define     FAADAL                  H'AA        ; faadal
#define     FAADBH                  H'AD        ; faadbh
#define     FAADBL                  H'AC        ; faadbl
#define     FAADCH                  H'AF        ; faadch
#define     FAADCL                  H'AE        ; faadcl
#define     FAADUC                  H'B0        ; faaduc
#define     FAAAC                   H'BE        ; faaac
#define     FAAAP                   H'BF        ; faaap

#endif