/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2021, 2023 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name        : Config_TAU0_7_user.c
* Component Version: 1.4.0
* Device(s)        : R7F100GLGxFB
* Description      : This file implements device driver for Config_TAU0_7.
***********************************************************************************************************************/
/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
#include "r_cg_userdefine.h"
#include "Config_TAU0_7.h"
/* Start user code for include. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
#pragma interrupt r_Config_TAU0_7_interrupt(vect=INTTM07, bank=RB3)
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */
volatile uint16_t   g_delaymicro;       /* delay time counter                   */
volatile uint8_t    g_timeup_micro;     /* timeup flag of micro second          */

/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
* Function Name: R_Config_TAU0_7_Create_UserInit
* Description  : This function adds user code after initializing the TAU0 channel 7.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_Config_TAU0_7_Create_UserInit(void)
{
    /* Start user code for user init. Do not edit comment generated here */
    /* End user code. Do not edit comment generated here */
}

/***********************************************************************************************************************
* Function Name: r_Config_TAU0_7_interrupt
* Description  : This function is INTTM07 interrupt service routine.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
static void __near r_Config_TAU0_7_interrupt(void)
{
    /* Start user code for r_Config_TAU0_7_interrupt. Do not edit comment generated here */

    TT0L    = 0x80;                     /* stop TM07 operation          */
    g_timeup_micro = 1;                 /* set time up flag             */
    TMMK07  = 1;                        /* disable INTTM07              */

    /* End user code. Do not edit comment generated here */
}

/* Start user code for adding. Do not edit comment generated here */
/*******************************************************************************
* Function Name: delayMicroseconds
* Description  : This function wait for micro seconds assigned by argument
* Arguments    : wait time of micro second uint
* Return Value : None
********************************************************************************/
void delayMicroseconds(uint16_t w_time)
{
    if ( 0x0000 != w_time )
    {
        g_timeup_micro = 0;             /* clear time up flag           */

        TDR07   = ( w_time - 1 );       /* set wait time to TM07        */
        TMIF07  = 0;                    /* clear INTTM07 request flag   */
        TMMK07  = 0;                    /* enable INTTM07               */
        TS0L  = 0x80;                   /* start TM07 as interval timer */

        while ( 0 == g_timeup_micro )   /* wait for time up             */
        {
            NOP();
        }   /* end of wait loop */

    }

}


/*******************************************************************************
* Function Name: wait_50us
* Description  : This function wait for 50 micro seconds
* Arguments    : None
* Return Value : None
********************************************************************************/
void wait_50us(void)
{
    delayMicroseconds(50);
}

/* End user code. Do not edit comment generated here */
